Index: CONFIG/IPSLCM/IPSLCM5-2/Chistorical/COMP/lmdz.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/Chistorical/COMP/lmdz.card	(revision 1540)
+++ CONFIG/IPSLCM/IPSLCM5-2/Chistorical/COMP/lmdz.card	(revision 1541)
@@ -3,4 +3,8 @@
 
 [UserChoices]
+# Physics package to use : 
+# AP for standard/old physics(defalut), can be used with LMDZ4_AR5 or LMDZ5/trunk sources 
+LMDZ_Physics=AP
+
 ByPass_hgardfou_teta=n
 ByPass_hgardfou_mats=n
@@ -62,9 +66,10 @@
 
 [ParametersFiles]
-List=	(${SUBMIT_DIR}/PARAM/physiq.def_L${RESOL_ATM_Z}, physiq.def), \
+List=	(${SUBMIT_DIR}/PARAM/physiq.def_L${RESOL_ATM_Z}_${LMDZ_Physics}, physiq.def), \
 	(${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM_3D},    gcm.def),    \
 	(${SUBMIT_DIR}/PARAM/cosp_input_nl.txt,                .),    \
 	(${SUBMIT_DIR}/PARAM/cosp_output_nl.txt,               .),    \
 	(${SUBMIT_DIR}/PARAM/output.def, .), \
+	(${SUBMIT_DIR}/PARAM/config.def, .), \
 	(${SUBMIT_DIR}/PARAM/run.def, .), \
 	(${SUBMIT_DIR}/PARAM/traceur.def, .)
Index: CONFIG/IPSLCM/IPSLCM5-2/Chistorical/COMP/lmdz.driver
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/Chistorical/COMP/lmdz.driver	(revision 1540)
+++ CONFIG/IPSLCM/IPSLCM5-2/Chistorical/COMP/lmdz.driver	(revision 1541)
@@ -35,4 +35,15 @@
             CalendarTypeForLmdz=earth_360d
     esac
+
+	
+    ##- LMDZ physics version
+    ##  Read LMDZ_Physics option in lmdz.card, if not present take default value AP (old physics) 
+    if [ ! X${lmdz_UserChoices_LMDZ_Physics} = X ] ; then
+	LMDZ_Physics=${lmdz_UserChoices_LMDZ_Physics}
+    else
+	LMDZ_Physics=AP
+    fi
+    echo LMDZ physics version : ${LMDZ_Physics}
+
 
     ##-- Output frequency purpose ....
Index: CONFIG/IPSLCM/IPSLCM5-2/Chistorical/PARAM/config.def
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/Chistorical/PARAM/config.def	(revision 1541)
+++ CONFIG/IPSLCM/IPSLCM5-2/Chistorical/PARAM/config.def	(revision 1541)
@@ -0,0 +1,58 @@
+##  Cycle diurne  ou non                 
+cycle_diurne=y
+##  Soil Model  ou non               
+soil_model=y
+
+## Nombre  d'appels des routines de rayonnements ( par jour)                 
+nbapp_rad=24
+
+##  Facteur additif pour l'albedo
+pmagic=0.0
+
+#
+# Parametres "orbitaux/ ere geologique"
+#
+### R_ecc =      Excentricite
+R_ecc = 0.016715
+### R_peri =     Equinoxe
+R_peri = 102.7
+### R_incl =     Inclinaison
+R_incl = 23.441
+### solaire =    Constante solaire
+solaire = 1365.6537
+#
+# Taux gaz a effet de serre
+#
+### co2_ppm =    taux CO2 en ppm
+co2_ppm = 0.36886500E+03
+### CH4_ppb =    taux CH4 en ppb
+CH4_ppb = 0.17510225E+04
+### N2O_ppb =    taux N2O en ppb
+N2O_ppb = 0.31585000E+03
+### CFC11_ppt =  taux CFC11 en ppt
+CFC11_ppt = 5.18015181E+01
+### CFC12_ppt =  taux CFC12 en ppt
+CFC12_ppt = 0.99862742E+03
+#
+# Parametres effets directs/indirects des "aerosols"
+#
+### ok_ade=y/n   flag Aerosol direct effect
+ok_ade=y
+### ok_aie=y/n   flag Aerosol indirect effect
+ok_aie=y
+### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
+aer_type=annuel
+###  type of coupled aerosol =1 (default) =2 => bc  only =3 => pom only =4 => seasalt only =5 => dust only =6 => all aerosol
+flag_aerosol=6 
+### bl95_b0 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
+bl95_b0=1.7
+### bl95_b1 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
+bl95_b1=0.2
+#
+# Parametre de lecture de l'ozone
+#
+# Allowed values are 0, 1 and 2
+# 0: do not read an ozone climatology
+# 1: read a single ozone climatology that will be used day and night
+# 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
+read_climoz=2
Index: CONFIG/IPSLCM/IPSLCM5-2/Chistorical/PARAM/physiq.def_L19
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/Chistorical/PARAM/physiq.def_L19	(revision 1540)
+++ 	(revision )
@@ -1,150 +1,0 @@
-## $Id$
-#
-# PARAMETRES ANCIENNEMENT DANS gcm.def
-##  Cycle diurne  ou non                 
-cycle_diurne=y
-##  Soil Model  ou non               
-soil_model=y
-##  Choix ou non  de  New oliq               
-new_oliq=y
-##  Activation ou non de la parametrisation de Hines pour la strato
-ok_hines=n
-##  Orodr  ou  non   pour l orographie              
-ok_orodr=y
-##  Orolf  ou  non   pour l orographie              
-ok_orolf=y
-##   Si = .T. ,  lecture du fichier limit avec la bonne annee             
-ok_limitvrai=n
-## Nombre  d'appels des routines de rayonnements ( par jour)                 
-nbapp_rad=12
-##  Flag  pour la convection : 1 pour LMD, 2 pour Tiedtke, 3 KE(nvlle version JYG), 30 KE(version IPCC AR4), 4 KE vect
-iflag_con=30
-## Facteur multiplication des precip convectives dans KE
-cvl_corr=1.0
-##  Facteur additif pour l'albedo
-pmagic=0.008
-#
-#
-### niveau du diagnostique de conservation d energie
-if_ebil=0
-#
-# parametres KE
-#
-### epmax = Efficacite precipitation maximale
-epmax = .99
-### ok_adj_ema = ?? pas utilise
-ok_adj_ema = n
-### iflag_clw Flag calcul eau liquide
-# - iflag_clw=0 : qcond_incld(i,l) = em_qcondc(l)
-# - iflag_clw=1 : qcond_incld(i,l) = em_qcond(l)
-# - iflag_clw=2 : eau liquide diagnostique en fonction de la Precip
-iflag_clw = 1
-# 
-# parametres nuages
-#
-### cld_lc_lsc  contenu en eau liquide des nuages large-scale (fisrtilp) 
-cld_lc_lsc = 2.6e-4
-### cld_lc_con  contenu en eau liquide des nuages convectifs (fisrtilp) 
-cld_lc_con = 2.6e-4
-### cld_tau_lsc cte de temps utilisee pour eliminer l eau large-scale (fisrtilp) 
-cld_tau_lsc = 3600.
-### cld_tau_con cte de temps utilisee pour eliminer l eau convective (fisrtilp) 
-cld_tau_con = 3600.
-### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace large-scale (fisrtilp) 
-ffallv_lsc = 1.
-### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace convectifs (fisrtilp) 
-ffallv_con = 1.
-### coef_eva coef evaporation precips eau/glace (fisrtilp/fisrtilp_tr?/conlmd?)
-coef_eva = 2.e-5
-### reevap_ice  reevaporation de toute la precip dans la couche du dessous pour la glace (fisrtilp) 
-reevap_ice = y
-### iflag_cldcon  flag pour calculer ratqsc=F(ratqsbas,fact_cldcon,q_seri) (physiq) 
-# - iflag_cldcon<=-1 diag. rain_Tiedtke 
-# - iflag_cldcon=1, ratqsc=ratqsbas+fact_cldcon*(q_seri(1)-q_seri(k))/q_seri(k)
-# - iflag_cldcon=1/2, ratqs=max(ratqs,ratqsc)
-# - iflag_cldcon=3,   ratqs=ratqss
-iflag_cldcon = 3
-### iflag_pdf :  flag calcul distribution sous-maille de l eau et des nuages 
-# - iflag_pdf=0, version ratqs, 
-# - iflag_pdf=1, calcul eau condensee, fraction nuageuse, eau nuageuse a partir
-# -              des PDFS de Sandrine Bony 
-iflag_pdf = 1
-### fact_cldcon  constante calcul ratqsc (voir iflag_cldcon) et proprietes nuages convectifs, clwcon0 (physiq.F) 
-fact_cldcon = 1.
-### facttemps=   facteur de relaxation de ratqs (iflag_cldcon=1/2) et rnebcon (iflag_cldcon=3)
-facttemps = 0.
-## ok_newmicro   =y appel newmicro , =n appel nuage (calcul epaisseur optique et emmissivite des nuages) 
-ok_newmicro = y
-### iflag_ratqs=0 correspond a la version IPCC AR4 
-iflag_ratqs=0
-### ratqsbas     ratqs en bas si iflag_cldcon=1 
-ratqsbas = 0.005
-### ratqshaut    ratqs en haut pour ratqss "stables"  
-ratqshaut = 0.33
-### rad_froid    rayon cristaux des nuages de glace "froids" 
-rad_froid = 35
-### rad_chau1    rayon goutelettes d eau chauds", en haut: k=4-klev 
-rad_chau1=12
-### rad_chau2    rayon goutelettes d eau chauds", en bas: k=1-3  
-rad_chau2=11
-# 
-# Coefficient et parametres sur les drags
-#
-f_cdrag_ter=1.
-f_cdrag_stable=1.
-f_cdrag_oce=0.8
-f_rugoro=0.
-### ksta_ter      coef.diffusion minimale sur terre/sic/lic 
-ksta_ter=1.e-7
-### cdmmax =     cdrag maximum pour le moment
-cdmmax = 2.5E-3
-### cdhmax =     cdrag maximum pour l energie
-cdhmax = 2.0E-3
-#
-# Parametres "orbitaux/ ere geologique"
-#
-### R_ecc =      Excentricite
-R_ecc = 0.016715
-### R_peri =     Equinoxe
-R_peri = 102.7
-### R_incl =     Inclinaison
-R_incl = 23.441
-### solaire =    Constante solaire
-solaire = 1361.
-#
-# Taux gaz a effet de serre
-#
-### co2_ppm =    taux CO2 en ppm
-co2_ppm = 367.
-### CH4_ppb =    taux CH4 en ppb
-CH4_ppb = 1760.
-### N2O_ppb =    taux N2O en ppb
-N2O_ppb = 316.
-### CFC11_ppt =  taux CFC11 en ppt
-CFC11_ppt = 741.2
-### CFC12_ppt =  taux CFC12 en ppt
-CFC12_ppt = 535.
-#
-# Parametres effets directs/indirects des "aerosols"
-#
-### ok_ade=y/n   flag Aerosol direct effect
-ok_ade=y
-### ok_aie=y/n   flag Aerosol indirect effect
-ok_aie=y
-### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
-aer_type=actuel
-###  type of coupled aerosol =1 (default) =2 => bc  only =3 => pom only =4 => seasalt only =5 => dust only =6 => all aerosol
-flag_aerosol=1
-### bl95_b0 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
-bl95_b0=1.7
-### bl95_b1 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
-bl95_b1=0.2
-#
-# Parametre de lecture de l'ozone
-#
-# Allowed values are 0, 1 and 2
-# 0: do not read an ozone climatology
-# 1: read a single ozone climatology that will be used day and night
-# 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
-read_climoz=0
-
Index: CONFIG/IPSLCM/IPSLCM5-2/Chistorical/PARAM/physiq.def_L39
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/Chistorical/PARAM/physiq.def_L39	(revision 1540)
+++ 	(revision )
@@ -1,150 +1,0 @@
-## $Id$
-#
-# PARAMETRES ANCIENNEMENT DANS gcm.def
-##  Cycle diurne  ou non                 
-cycle_diurne=y
-##  Soil Model  ou non               
-soil_model=y
-##  Choix ou non  de  New oliq               
-new_oliq=y
-##  Activation ou non de la parametrisation de Hines pour la strato
-ok_hines=y
-##  Orodr  ou  non   pour l orographie              
-ok_orodr=y
-##  Orolf  ou  non   pour l orographie              
-ok_orolf=y
-##   Si = .T. ,  lecture du fichier limit avec la bonne annee             
-ok_limitvrai=n
-## Nombre  d'appels des routines de rayonnements ( par jour)                 
-nbapp_rad=24
-##  Flag  pour la convection : 1 pour LMD, 2 pour Tiedtke, 3 KE(nvlle version JYG), 30 KE(version IPCC AR4), 4 KE vect
-iflag_con=30
-## Facteur multiplication des precip convectives dans KE
-cvl_corr=1.0
-##  Facteur additif pour l'albedo
-pmagic=0.0
-#
-#
-
-### niveau du diagnostique de conservation d energie
-if_ebil=0
-#
-# parametres KE
-#
-### epmax = Efficacite precipitation maximale
-epmax = .999
-### ok_adj_ema = ?? pas utilise
-ok_adj_ema = n
-### iflag_clw Flag calcul eau liquide
-# - iflag_clw=0 : qcond_incld(i,l) = em_qcondc(l)
-# - iflag_clw=1 : qcond_incld(i,l) = em_qcond(l)
-# - iflag_clw=2 : eau liquide diagnostique en fonction de la Precip
-iflag_clw = 1
-# 
-# parametres nuages
-#
-### cld_lc_lsc  contenu en eau liquide des nuages large-scale (fisrtilp) 
-cld_lc_lsc = 4.16e-4
-### cld_lc_con  contenu en eau liquide des nuages convectifs (fisrtilp) 
-cld_lc_con = 4.16e-4
-### cld_tau_lsc cte de temps utilisee pour eliminer l eau large-scale (fisrtilp) 
-cld_tau_lsc = 1800.
-### cld_tau_con cte de temps utilisee pour eliminer l eau convective (fisrtilp) 
-cld_tau_con = 1800.
-### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace large-scale (fisrtilp) 
-ffallv_lsc = 0.5
-### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace convectifs (fisrtilp) 
-ffallv_con = 0.5
-### coef_eva coef evaporation precips eau/glace (fisrtilp/fisrtilp_tr?/conlmd?)
-coef_eva = 2.e-5
-### reevap_ice  reevaporation de toute la precip dans la couche du dessous pour la glace (fisrtilp) 
-reevap_ice = y
-### iflag_cldcon  flag pour calculer ratqsc=F(ratqsbas,fact_cldcon,q_seri) (physiq) 
-# - iflag_cldcon<=-1 diag. rain_Tiedtke 
-# - iflag_cldcon=1, ratqsc=ratqsbas+fact_cldcon*(q_seri(1)-q_seri(k))/q_seri(k)
-# - iflag_cldcon=1/2, ratqs=max(ratqs,ratqsc)
-# - iflag_cldcon=3,   ratqs=ratqss
-iflag_cldcon = 3
-### iflag_pdf :  flag calcul distribution sous-maille de l eau et des nuages 
-# - iflag_pdf=0, version ratqs, 
-# - iflag_pdf=1, calcul eau condensee, fraction nuageuse, eau nuageuse a partir
-# -              des PDFS de Sandrine Bony 
-iflag_pdf = 1
-### fact_cldcon  constante calcul ratqsc (voir iflag_cldcon) et proprietes nuages convectifs, clwcon0 (physiq.F) 
-fact_cldcon = 1.
-### facttemps=   facteur de relaxation de ratqs (iflag_cldcon=1/2) et rnebcon (iflag_cldcon=3)
-facttemps = 0.
-## ok_newmicro   =y appel newmicro , =n appel nuage (calcul epaisseur optique et emmissivite des nuages) 
-ok_newmicro = y
-### iflag_ratqs=0 correspond a la version IPCC AR4 
-iflag_ratqs=0
-### ratqsbas     ratqs en bas si iflag_cldcon=1 
-ratqsbas = 0.005
-### ratqshaut    ratqs en haut pour ratqss "stables"  
-ratqshaut = 0.33
-### rad_froid    rayon cristaux des nuages de glace "froids" 
-rad_froid = 35
-### rad_chau1    rayon goutelettes d eau chauds", en haut: k=4-klev 
-rad_chau1=12
-### rad_chau2    rayon goutelettes d eau chauds", en bas: k=1-3  
-rad_chau2=11
-# 
-# Coefficient et parametres sur les drags
-#
-f_cdrag_ter=1.
-f_cdrag_stable=1.
-f_cdrag_oce=0.8
-f_rugoro=0.
-### ksta_ter      coef.diffusion minimale sur terre/sic/lic 
-ksta_ter=1.e-7
-### cdmmax =     cdrag maximum pour le moment
-cdmmax = 2.5E-3
-### cdhmax =     cdrag maximum pour l energie
-cdhmax = 2.0E-3
-#
-# Parametres "orbitaux/ ere geologique"
-#
-### R_ecc =      Excentricite
-R_ecc = 0.016715
-### R_peri =     Equinoxe
-R_peri = 102.7
-### R_incl =     Inclinaison
-R_incl = 23.441
-### solaire =    Constante solaire
-solaire = 1365.6537
-#
-# Taux gaz a effet de serre
-#
-### co2_ppm =    taux CO2 en ppm
-co2_ppm = 0.36886500E+03
-### CH4_ppb =    taux CH4 en ppb
-CH4_ppb = 0.17510225E+04
-### N2O_ppb =    taux N2O en ppb
-N2O_ppb = 0.31585000E+03
-### CFC11_ppt =  taux CFC11 en ppt
-CFC11_ppt = 5.18015181E+01
-### CFC12_ppt =  taux CFC12 en ppt
-CFC12_ppt = 0.99862742E+03
-#
-# Parametres effets directs/indirects des "aerosols"
-#
-### ok_ade=y/n   flag Aerosol direct effect
-ok_ade=y
-### ok_aie=y/n   flag Aerosol indirect effect
-ok_aie=y
-### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
-aer_type=annuel
-###  type of coupled aerosol =1 (default) =2 => bc  only =3 => pom only =4 => seasalt only =5 => dust only =6 => all aerosol
-flag_aerosol=6 
-### bl95_b0 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
-bl95_b0=1.7
-### bl95_b1 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
-bl95_b1=0.2
-#
-# Parametre de lecture de l'ozone
-#
-# Allowed values are 0, 1 and 2
-# 0: do not read an ozone climatology
-# 1: read a single ozone climatology that will be used day and night
-# 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
-read_climoz=2
Index: CONFIG/IPSLCM/IPSLCM5-2/Chistorical/PARAM/physiq.def_L39_AP
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/Chistorical/PARAM/physiq.def_L39_AP	(revision 1541)
+++ CONFIG/IPSLCM/IPSLCM5-2/Chistorical/PARAM/physiq.def_L39_AP	(revision 1541)
@@ -0,0 +1,94 @@
+## $Id$
+#
+##  Choix ou non  de  New oliq               
+new_oliq=y
+##  Activation ou non de la parametrisation de Hines pour la strato
+ok_hines=y
+##  Orodr  ou  non   pour l orographie              
+ok_orodr=y
+##  Orolf  ou  non   pour l orographie              
+ok_orolf=y
+##   Si = .T. ,  lecture du fichier limit avec la bonne annee             
+ok_limitvrai=n
+##  Flag  pour la convection : 1 pour LMD, 2 pour Tiedtke, 3 KE(nvlle version JYG), 30 KE(version IPCC AR4), 4 KE vect
+iflag_con=30
+## Facteur multiplication des precip convectives dans KE
+cvl_corr=1.0
+#
+#
+
+### niveau du diagnostique de conservation d energie
+if_ebil=0
+#
+# parametres KE
+#
+### epmax = Efficacite precipitation maximale
+epmax = .999
+### ok_adj_ema = ?? pas utilise
+ok_adj_ema = n
+### iflag_clw Flag calcul eau liquide
+# - iflag_clw=0 : qcond_incld(i,l) = em_qcondc(l)
+# - iflag_clw=1 : qcond_incld(i,l) = em_qcond(l)
+# - iflag_clw=2 : eau liquide diagnostique en fonction de la Precip
+iflag_clw = 1
+# 
+# parametres nuages
+#
+### cld_lc_lsc  contenu en eau liquide des nuages large-scale (fisrtilp) 
+cld_lc_lsc = 4.16e-4
+### cld_lc_con  contenu en eau liquide des nuages convectifs (fisrtilp) 
+cld_lc_con = 4.16e-4
+### cld_tau_lsc cte de temps utilisee pour eliminer l eau large-scale (fisrtilp) 
+cld_tau_lsc = 1800.
+### cld_tau_con cte de temps utilisee pour eliminer l eau convective (fisrtilp) 
+cld_tau_con = 1800.
+### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace large-scale (fisrtilp) 
+ffallv_lsc = 0.5
+### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace convectifs (fisrtilp) 
+ffallv_con = 0.5
+### coef_eva coef evaporation precips eau/glace (fisrtilp/fisrtilp_tr?/conlmd?)
+coef_eva = 2.e-5
+### reevap_ice  reevaporation de toute la precip dans la couche du dessous pour la glace (fisrtilp) 
+reevap_ice = y
+### iflag_cldcon  flag pour calculer ratqsc=F(ratqsbas,fact_cldcon,q_seri) (physiq) 
+# - iflag_cldcon<=-1 diag. rain_Tiedtke 
+# - iflag_cldcon=1, ratqsc=ratqsbas+fact_cldcon*(q_seri(1)-q_seri(k))/q_seri(k)
+# - iflag_cldcon=1/2, ratqs=max(ratqs,ratqsc)
+# - iflag_cldcon=3,   ratqs=ratqss
+iflag_cldcon = 3
+### iflag_pdf :  flag calcul distribution sous-maille de l eau et des nuages 
+# - iflag_pdf=0, version ratqs, 
+# - iflag_pdf=1, calcul eau condensee, fraction nuageuse, eau nuageuse a partir
+# -              des PDFS de Sandrine Bony 
+iflag_pdf = 1
+### fact_cldcon  constante calcul ratqsc (voir iflag_cldcon) et proprietes nuages convectifs, clwcon0 (physiq.F) 
+fact_cldcon = 1.
+### facttemps=   facteur de relaxation de ratqs (iflag_cldcon=1/2) et rnebcon (iflag_cldcon=3)
+facttemps = 0.
+## ok_newmicro   =y appel newmicro , =n appel nuage (calcul epaisseur optique et emmissivite des nuages) 
+ok_newmicro = y
+### iflag_ratqs=0 correspond a la version IPCC AR4 
+iflag_ratqs=0
+### ratqsbas     ratqs en bas si iflag_cldcon=1 
+ratqsbas = 0.005
+### ratqshaut    ratqs en haut pour ratqss "stables"  
+ratqshaut = 0.33
+### rad_froid    rayon cristaux des nuages de glace "froids" 
+rad_froid = 35
+### rad_chau1    rayon goutelettes d eau chauds", en haut: k=4-klev 
+rad_chau1=12
+### rad_chau2    rayon goutelettes d eau chauds", en bas: k=1-3  
+rad_chau2=11
+# 
+# Coefficient et parametres sur les drags
+#
+f_cdrag_ter=1.
+f_cdrag_stable=1.
+f_cdrag_oce=0.8
+f_rugoro=0.
+### ksta_ter      coef.diffusion minimale sur terre/sic/lic 
+ksta_ter=1.e-7
+### cdmmax =     cdrag maximum pour le moment
+cdmmax = 2.5E-3
+### cdhmax =     cdrag maximum pour l energie
+cdhmax = 2.0E-3
Index: CONFIG/IPSLCM/IPSLCM5-2/CpiControl/COMP/lmdz.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/CpiControl/COMP/lmdz.card	(revision 1540)
+++ CONFIG/IPSLCM/IPSLCM5-2/CpiControl/COMP/lmdz.card	(revision 1541)
@@ -3,4 +3,8 @@
 
 [UserChoices]
+# Physics package to use : 
+# AP for standard/old physics(defalut), can be used with LMDZ4_AR5 or LMDZ5/trunk sources 
+LMDZ_Physics=AP
+
 ByPass_hgardfou_teta=n
 ByPass_hgardfou_mats=n
@@ -55,9 +59,10 @@
 
 [ParametersFiles]
-List=	(${SUBMIT_DIR}/PARAM/physiq.def_L${RESOL_ATM_Z}, physiq.def), \
+List=	(${SUBMIT_DIR}/PARAM/physiq.def_L${RESOL_ATM_Z}_${LMDZ_Physics}, physiq.def), \
 	(${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM_3D},    gcm.def),    \
 	(${SUBMIT_DIR}/PARAM/cosp_input_nl.txt,                .),    \
 	(${SUBMIT_DIR}/PARAM/cosp_output_nl.txt,               .),    \
 	(${SUBMIT_DIR}/PARAM/output.def, .), \
+	(${SUBMIT_DIR}/PARAM/config.def, .), \
 	(${SUBMIT_DIR}/PARAM/run.def, .), \
 	(${SUBMIT_DIR}/PARAM/traceur.def, .)
Index: CONFIG/IPSLCM/IPSLCM5-2/CpiControl/COMP/lmdz.driver
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/CpiControl/COMP/lmdz.driver	(revision 1540)
+++ CONFIG/IPSLCM/IPSLCM5-2/CpiControl/COMP/lmdz.driver	(revision 1541)
@@ -35,4 +35,15 @@
             CalendarTypeForLmdz=earth_360d
     esac
+
+	
+    ##- LMDZ physics version
+    ##  Read LMDZ_Physics option in lmdz.card, if not present take default value AP (old physics) 
+    if [ ! X${lmdz_UserChoices_LMDZ_Physics} = X ] ; then
+	LMDZ_Physics=${lmdz_UserChoices_LMDZ_Physics}
+    else
+	LMDZ_Physics=AP
+    fi
+    echo LMDZ physics version : ${LMDZ_Physics}
+
 
     ##-- Output frequency purpose ....
Index: CONFIG/IPSLCM/IPSLCM5-2/CpiControl/PARAM/config.def
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/CpiControl/PARAM/config.def	(revision 1541)
+++ CONFIG/IPSLCM/IPSLCM5-2/CpiControl/PARAM/config.def	(revision 1541)
@@ -0,0 +1,55 @@
+##  Cycle diurne  ou non                 
+cycle_diurne=y
+##  Soil Model  ou non               
+soil_model=y
+## Nombre  d'appels des routines de rayonnements ( par jour)                 
+nbapp_rad=24
+##  Facteur additif pour l'albedo
+pmagic=0.0
+#
+# Parametres "orbitaux/ ere geologique"
+#
+### R_ecc =      Excentricite
+R_ecc = 0.016715
+### R_peri =     Equinoxe
+R_peri = 102.7
+### R_incl =     Inclinaison
+R_incl = 23.441
+### solaire =    Constante solaire
+solaire = 1365.6537
+#
+# Taux gaz a effet de serre
+#
+### co2_ppm =    taux CO2 en ppm
+co2_ppm = 0.28472500E+03
+### CH4_ppb =    taux CH4 en ppb
+CH4_ppb = 0.79097924E+03
+### N2O_ppb =    taux N2O en ppb
+N2O_ppb = 0.27542506E+03
+### CFC11_ppt =  taux CFC11 en ppt
+CFC11_ppt = 0.
+### CFC12_ppt =  taux CFC12 en ppt
+CFC12_ppt = 0.
+#
+# Parametres effets directs/indirects des "aerosols"
+#
+### ok_ade=y/n   flag Aerosol direct effect
+ok_ade=y
+### ok_aie=y/n   flag Aerosol indirect effect
+ok_aie=y
+### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
+aer_type=preind
+###  type of coupled aerosol =1 (default) =2 => bc  only =3 => pom only =4 => seasalt only =5 => dust only =6 => all aerosol
+flag_aerosol=6 
+### bl95_b0 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
+bl95_b0=1.7
+### bl95_b1 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
+bl95_b1=0.2
+#
+# Parametre de lecture de l'ozone
+#
+# Allowed values are 0, 1 and 2
+# 0: do not read an ozone climatology
+# 1: read a single ozone climatology that will be used day and night
+# 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
+read_climoz=2
Index: CONFIG/IPSLCM/IPSLCM5-2/CpiControl/PARAM/physiq.def_L19
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/CpiControl/PARAM/physiq.def_L19	(revision 1540)
+++ 	(revision )
@@ -1,150 +1,0 @@
-## $Id$
-#
-# PARAMETRES ANCIENNEMENT DANS gcm.def
-##  Cycle diurne  ou non                 
-cycle_diurne=y
-##  Soil Model  ou non               
-soil_model=y
-##  Choix ou non  de  New oliq               
-new_oliq=y
-##  Activation ou non de la parametrisation de Hines pour la strato
-ok_hines=n
-##  Orodr  ou  non   pour l orographie              
-ok_orodr=y
-##  Orolf  ou  non   pour l orographie              
-ok_orolf=y
-##   Si = .T. ,  lecture du fichier limit avec la bonne annee             
-ok_limitvrai=n
-## Nombre  d'appels des routines de rayonnements ( par jour)                 
-nbapp_rad=12
-##  Flag  pour la convection : 1 pour LMD, 2 pour Tiedtke, 3 KE(nvlle version JYG), 30 KE(version IPCC AR4), 4 KE vect
-iflag_con=30
-## Facteur multiplication des precip convectives dans KE
-cvl_corr=1.0
-##  Facteur additif pour l'albedo
-pmagic=0.008
-#
-#
-### niveau du diagnostique de conservation d energie
-if_ebil=0
-#
-# parametres KE
-#
-### epmax = Efficacite precipitation maximale
-epmax = .99
-### ok_adj_ema = ?? pas utilise
-ok_adj_ema = n
-### iflag_clw Flag calcul eau liquide
-# - iflag_clw=0 : qcond_incld(i,l) = em_qcondc(l)
-# - iflag_clw=1 : qcond_incld(i,l) = em_qcond(l)
-# - iflag_clw=2 : eau liquide diagnostique en fonction de la Precip
-iflag_clw = 1
-# 
-# parametres nuages
-#
-### cld_lc_lsc  contenu en eau liquide des nuages large-scale (fisrtilp) 
-cld_lc_lsc = 2.6e-4
-### cld_lc_con  contenu en eau liquide des nuages convectifs (fisrtilp) 
-cld_lc_con = 2.6e-4
-### cld_tau_lsc cte de temps utilisee pour eliminer l eau large-scale (fisrtilp) 
-cld_tau_lsc = 3600.
-### cld_tau_con cte de temps utilisee pour eliminer l eau convective (fisrtilp) 
-cld_tau_con = 3600.
-### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace large-scale (fisrtilp) 
-ffallv_lsc = 1.
-### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace convectifs (fisrtilp) 
-ffallv_con = 1.
-### coef_eva coef evaporation precips eau/glace (fisrtilp/fisrtilp_tr?/conlmd?)
-coef_eva = 2.e-5
-### reevap_ice  reevaporation de toute la precip dans la couche du dessous pour la glace (fisrtilp) 
-reevap_ice = y
-### iflag_cldcon  flag pour calculer ratqsc=F(ratqsbas,fact_cldcon,q_seri) (physiq) 
-# - iflag_cldcon<=-1 diag. rain_Tiedtke 
-# - iflag_cldcon=1, ratqsc=ratqsbas+fact_cldcon*(q_seri(1)-q_seri(k))/q_seri(k)
-# - iflag_cldcon=1/2, ratqs=max(ratqs,ratqsc)
-# - iflag_cldcon=3,   ratqs=ratqss
-iflag_cldcon = 3
-### iflag_pdf :  flag calcul distribution sous-maille de l eau et des nuages 
-# - iflag_pdf=0, version ratqs, 
-# - iflag_pdf=1, calcul eau condensee, fraction nuageuse, eau nuageuse a partir
-# -              des PDFS de Sandrine Bony 
-iflag_pdf = 1
-### fact_cldcon  constante calcul ratqsc (voir iflag_cldcon) et proprietes nuages convectifs, clwcon0 (physiq.F) 
-fact_cldcon = 1.
-### facttemps=   facteur de relaxation de ratqs (iflag_cldcon=1/2) et rnebcon (iflag_cldcon=3)
-facttemps = 0.
-## ok_newmicro   =y appel newmicro , =n appel nuage (calcul epaisseur optique et emmissivite des nuages) 
-ok_newmicro = y
-### iflag_ratqs=0 correspond a la version IPCC AR4 
-iflag_ratqs=0
-### ratqsbas     ratqs en bas si iflag_cldcon=1 
-ratqsbas = 0.005
-### ratqshaut    ratqs en haut pour ratqss "stables"  
-ratqshaut = 0.33
-### rad_froid    rayon cristaux des nuages de glace "froids" 
-rad_froid = 35
-### rad_chau1    rayon goutelettes d eau chauds", en haut: k=4-klev 
-rad_chau1=12
-### rad_chau2    rayon goutelettes d eau chauds", en bas: k=1-3  
-rad_chau2=11
-# 
-# Coefficient et parametres sur les drags
-#
-f_cdrag_ter=1.
-f_cdrag_stable=1.
-f_cdrag_oce=0.8
-f_rugoro=0.
-### ksta_ter      coef.diffusion minimale sur terre/sic/lic 
-ksta_ter=1.e-7
-### cdmmax =     cdrag maximum pour le moment
-cdmmax = 2.5E-3
-### cdhmax =     cdrag maximum pour l energie
-cdhmax = 2.0E-3
-#
-# Parametres "orbitaux/ ere geologique"
-#
-### R_ecc =      Excentricite
-R_ecc = 0.016715
-### R_peri =     Equinoxe
-R_peri = 102.7
-### R_incl =     Inclinaison
-R_incl = 23.441
-### solaire =    Constante solaire
-solaire = 1361.
-#
-# Taux gaz a effet de serre
-#
-### co2_ppm =    taux CO2 en ppm
-co2_ppm = 367.
-### CH4_ppb =    taux CH4 en ppb
-CH4_ppb = 1760.
-### N2O_ppb =    taux N2O en ppb
-N2O_ppb = 316.
-### CFC11_ppt =  taux CFC11 en ppt
-CFC11_ppt = 741.2
-### CFC12_ppt =  taux CFC12 en ppt
-CFC12_ppt = 535.
-#
-# Parametres effets directs/indirects des "aerosols"
-#
-### ok_ade=y/n   flag Aerosol direct effect
-ok_ade=y
-### ok_aie=y/n   flag Aerosol indirect effect
-ok_aie=y
-### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
-aer_type=actuel
-###  type of coupled aerosol =1 (default) =2 => bc  only =3 => pom only =4 => seasalt only =5 => dust only =6 => all aerosol
-flag_aerosol=1
-### bl95_b0 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
-bl95_b0=1.7
-### bl95_b1 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
-bl95_b1=0.2
-#
-# Parametre de lecture de l'ozone
-#
-# Allowed values are 0, 1 and 2
-# 0: do not read an ozone climatology
-# 1: read a single ozone climatology that will be used day and night
-# 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
-read_climoz=0
-
Index: CONFIG/IPSLCM/IPSLCM5-2/CpiControl/PARAM/physiq.def_L39
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/CpiControl/PARAM/physiq.def_L39	(revision 1540)
+++ 	(revision )
@@ -1,149 +1,0 @@
-## $Id$
-#
-# PARAMETRES ANCIENNEMENT DANS gcm.def
-##  Cycle diurne  ou non                 
-cycle_diurne=y
-##  Soil Model  ou non               
-soil_model=y
-##  Choix ou non  de  New oliq               
-new_oliq=y
-##  Activation ou non de la parametrisation de Hines pour la strato
-ok_hines=y
-##  Orodr  ou  non   pour l orographie              
-ok_orodr=y
-##  Orolf  ou  non   pour l orographie              
-ok_orolf=y
-##   Si = .T. ,  lecture du fichier limit avec la bonne annee             
-ok_limitvrai=n
-## Nombre  d'appels des routines de rayonnements ( par jour)                 
-nbapp_rad=24
-##  Flag  pour la convection : 1 pour LMD, 2 pour Tiedtke, 3 KE(nvlle version JYG), 30 KE(version IPCC AR4), 4 KE vect
-iflag_con=30
-## Facteur multiplication des precip convectives dans KE
-cvl_corr=1.0
-##  Facteur additif pour l'albedo
-pmagic=0.0
-#
-#
-### niveau du diagnostique de conservation d energie
-if_ebil=0
-#
-# parametres KE
-#
-### epmax = Efficacite precipitation maximale
-epmax = .999
-### ok_adj_ema = ?? pas utilise
-ok_adj_ema = n
-### iflag_clw Flag calcul eau liquide
-# - iflag_clw=0 : qcond_incld(i,l) = em_qcondc(l)
-# - iflag_clw=1 : qcond_incld(i,l) = em_qcond(l)
-# - iflag_clw=2 : eau liquide diagnostique en fonction de la Precip
-iflag_clw = 1
-# 
-# parametres nuages
-#
-### cld_lc_lsc  contenu en eau liquide des nuages large-scale (fisrtilp) 
-cld_lc_lsc = 4.16e-4
-### cld_lc_con  contenu en eau liquide des nuages convectifs (fisrtilp) 
-cld_lc_con = 4.16e-4
-### cld_tau_lsc cte de temps utilisee pour eliminer l eau large-scale (fisrtilp) 
-cld_tau_lsc = 1800.
-### cld_tau_con cte de temps utilisee pour eliminer l eau convective (fisrtilp) 
-cld_tau_con = 1800.
-### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace large-scale (fisrtilp) 
-ffallv_lsc = 0.5
-### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace convectifs (fisrtilp) 
-ffallv_con = 0.5
-### coef_eva coef evaporation precips eau/glace (fisrtilp/fisrtilp_tr?/conlmd?)
-coef_eva = 2.e-5
-### reevap_ice  reevaporation de toute la precip dans la couche du dessous pour la glace (fisrtilp) 
-reevap_ice = y
-### iflag_cldcon  flag pour calculer ratqsc=F(ratqsbas,fact_cldcon,q_seri) (physiq) 
-# - iflag_cldcon<=-1 diag. rain_Tiedtke 
-# - iflag_cldcon=1, ratqsc=ratqsbas+fact_cldcon*(q_seri(1)-q_seri(k))/q_seri(k)
-# - iflag_cldcon=1/2, ratqs=max(ratqs,ratqsc)
-# - iflag_cldcon=3,   ratqs=ratqss
-iflag_cldcon = 3
-### iflag_pdf :  flag calcul distribution sous-maille de l eau et des nuages 
-# - iflag_pdf=0, version ratqs, 
-# - iflag_pdf=1, calcul eau condensee, fraction nuageuse, eau nuageuse a partir
-# -              des PDFS de Sandrine Bony 
-iflag_pdf = 1
-### fact_cldcon  constante calcul ratqsc (voir iflag_cldcon) et proprietes nuages convectifs, clwcon0 (physiq.F) 
-fact_cldcon = 1.
-### facttemps=   facteur de relaxation de ratqs (iflag_cldcon=1/2) et rnebcon (iflag_cldcon=3)
-facttemps = 0.
-## ok_newmicro   =y appel newmicro , =n appel nuage (calcul epaisseur optique et emmissivite des nuages) 
-ok_newmicro = y
-### iflag_ratqs=0 correspond a la version IPCC AR4 
-iflag_ratqs=0
-### ratqsbas     ratqs en bas si iflag_cldcon=1 
-ratqsbas = 0.005
-### ratqshaut    ratqs en haut pour ratqss "stables"  
-ratqshaut = 0.33
-### rad_froid    rayon cristaux des nuages de glace "froids" 
-rad_froid = 35
-### rad_chau1    rayon goutelettes d eau chauds", en haut: k=4-klev 
-rad_chau1=12
-### rad_chau2    rayon goutelettes d eau chauds", en bas: k=1-3  
-rad_chau2=11
-# 
-# Coefficient et parametres sur les drags
-#
-f_cdrag_ter=1.
-f_cdrag_stable=1.
-f_cdrag_oce=0.8
-f_rugoro=0.
-### ksta_ter      coef.diffusion minimale sur terre/sic/lic 
-ksta_ter=1.e-7
-### cdmmax =     cdrag maximum pour le moment
-cdmmax = 2.5E-3
-### cdhmax =     cdrag maximum pour l energie
-cdhmax = 2.0E-3
-#
-# Parametres "orbitaux/ ere geologique"
-#
-### R_ecc =      Excentricite
-R_ecc = 0.016715
-### R_peri =     Equinoxe
-R_peri = 102.7
-### R_incl =     Inclinaison
-R_incl = 23.441
-### solaire =    Constante solaire
-solaire = 1365.6537
-#
-# Taux gaz a effet de serre
-#
-### co2_ppm =    taux CO2 en ppm
-co2_ppm = 0.28472500E+03
-### CH4_ppb =    taux CH4 en ppb
-CH4_ppb = 0.79097924E+03
-### N2O_ppb =    taux N2O en ppb
-N2O_ppb = 0.27542506E+03
-### CFC11_ppt =  taux CFC11 en ppt
-CFC11_ppt = 0.
-### CFC12_ppt =  taux CFC12 en ppt
-CFC12_ppt = 0.
-#
-# Parametres effets directs/indirects des "aerosols"
-#
-### ok_ade=y/n   flag Aerosol direct effect
-ok_ade=y
-### ok_aie=y/n   flag Aerosol indirect effect
-ok_aie=y
-### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
-aer_type=preind
-###  type of coupled aerosol =1 (default) =2 => bc  only =3 => pom only =4 => seasalt only =5 => dust only =6 => all aerosol
-flag_aerosol=6 
-### bl95_b0 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
-bl95_b0=1.7
-### bl95_b1 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
-bl95_b1=0.2
-#
-# Parametre de lecture de l'ozone
-#
-# Allowed values are 0, 1 and 2
-# 0: do not read an ozone climatology
-# 1: read a single ozone climatology that will be used day and night
-# 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
-read_climoz=2
Index: CONFIG/IPSLCM/IPSLCM5-2/CpiControl/PARAM/physiq.def_L39_AP
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/CpiControl/PARAM/physiq.def_L39_AP	(revision 1541)
+++ CONFIG/IPSLCM/IPSLCM5-2/CpiControl/PARAM/physiq.def_L39_AP	(revision 1541)
@@ -0,0 +1,94 @@
+## $Id$
+#
+##  Choix ou non  de  New oliq               
+new_oliq=y
+##  Activation ou non de la parametrisation de Hines pour la strato
+ok_hines=y
+##  Orodr  ou  non   pour l orographie              
+ok_orodr=y
+##  Orolf  ou  non   pour l orographie              
+ok_orolf=y
+##   Si = .T. ,  lecture du fichier limit avec la bonne annee             
+ok_limitvrai=n
+##  Flag  pour la convection : 1 pour LMD, 2 pour Tiedtke, 3 KE(nvlle version JYG), 30 KE(version IPCC AR4), 4 KE vect
+iflag_con=30
+## Facteur multiplication des precip convectives dans KE
+cvl_corr=1.0
+#
+#
+
+### niveau du diagnostique de conservation d energie
+if_ebil=0
+#
+# parametres KE
+#
+### epmax = Efficacite precipitation maximale
+epmax = .999
+### ok_adj_ema = ?? pas utilise
+ok_adj_ema = n
+### iflag_clw Flag calcul eau liquide
+# - iflag_clw=0 : qcond_incld(i,l) = em_qcondc(l)
+# - iflag_clw=1 : qcond_incld(i,l) = em_qcond(l)
+# - iflag_clw=2 : eau liquide diagnostique en fonction de la Precip
+iflag_clw = 1
+# 
+# parametres nuages
+#
+### cld_lc_lsc  contenu en eau liquide des nuages large-scale (fisrtilp) 
+cld_lc_lsc = 4.16e-4
+### cld_lc_con  contenu en eau liquide des nuages convectifs (fisrtilp) 
+cld_lc_con = 4.16e-4
+### cld_tau_lsc cte de temps utilisee pour eliminer l eau large-scale (fisrtilp) 
+cld_tau_lsc = 1800.
+### cld_tau_con cte de temps utilisee pour eliminer l eau convective (fisrtilp) 
+cld_tau_con = 1800.
+### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace large-scale (fisrtilp) 
+ffallv_lsc = 0.5
+### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace convectifs (fisrtilp) 
+ffallv_con = 0.5
+### coef_eva coef evaporation precips eau/glace (fisrtilp/fisrtilp_tr?/conlmd?)
+coef_eva = 2.e-5
+### reevap_ice  reevaporation de toute la precip dans la couche du dessous pour la glace (fisrtilp) 
+reevap_ice = y
+### iflag_cldcon  flag pour calculer ratqsc=F(ratqsbas,fact_cldcon,q_seri) (physiq) 
+# - iflag_cldcon<=-1 diag. rain_Tiedtke 
+# - iflag_cldcon=1, ratqsc=ratqsbas+fact_cldcon*(q_seri(1)-q_seri(k))/q_seri(k)
+# - iflag_cldcon=1/2, ratqs=max(ratqs,ratqsc)
+# - iflag_cldcon=3,   ratqs=ratqss
+iflag_cldcon = 3
+### iflag_pdf :  flag calcul distribution sous-maille de l eau et des nuages 
+# - iflag_pdf=0, version ratqs, 
+# - iflag_pdf=1, calcul eau condensee, fraction nuageuse, eau nuageuse a partir
+# -              des PDFS de Sandrine Bony 
+iflag_pdf = 1
+### fact_cldcon  constante calcul ratqsc (voir iflag_cldcon) et proprietes nuages convectifs, clwcon0 (physiq.F) 
+fact_cldcon = 1.
+### facttemps=   facteur de relaxation de ratqs (iflag_cldcon=1/2) et rnebcon (iflag_cldcon=3)
+facttemps = 0.
+## ok_newmicro   =y appel newmicro , =n appel nuage (calcul epaisseur optique et emmissivite des nuages) 
+ok_newmicro = y
+### iflag_ratqs=0 correspond a la version IPCC AR4 
+iflag_ratqs=0
+### ratqsbas     ratqs en bas si iflag_cldcon=1 
+ratqsbas = 0.005
+### ratqshaut    ratqs en haut pour ratqss "stables"  
+ratqshaut = 0.33
+### rad_froid    rayon cristaux des nuages de glace "froids" 
+rad_froid = 35
+### rad_chau1    rayon goutelettes d eau chauds", en haut: k=4-klev 
+rad_chau1=12
+### rad_chau2    rayon goutelettes d eau chauds", en bas: k=1-3  
+rad_chau2=11
+# 
+# Coefficient et parametres sur les drags
+#
+f_cdrag_ter=1.
+f_cdrag_stable=1.
+f_cdrag_oce=0.8
+f_rugoro=0.
+### ksta_ter      coef.diffusion minimale sur terre/sic/lic 
+ksta_ter=1.e-7
+### cdmmax =     cdrag maximum pour le moment
+cdmmax = 2.5E-3
+### cdhmax =     cdrag maximum pour l energie
+cdhmax = 2.0E-3
Index: CONFIG/IPSLCM/IPSLCM5-2/EXP00/COMP/lmdz.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXP00/COMP/lmdz.card	(revision 1540)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXP00/COMP/lmdz.card	(revision 1541)
@@ -3,4 +3,8 @@
 
 [UserChoices]
+# Physics package to use : 
+# AP for standard/old physics(defalut), can be used with LMDZ4_AR5 or LMDZ5/trunk sources 
+LMDZ_Physics=AP
+
 ByPass_hgardfou_teta=n
 ByPass_hgardfou_mats=n
@@ -51,9 +55,10 @@
 
 [ParametersFiles]
-List=	(${SUBMIT_DIR}/PARAM/physiq.def_L${RESOL_ATM_Z}, physiq.def), \
+List=	(${SUBMIT_DIR}/PARAM/physiq.def_L${RESOL_ATM_Z}_${LMDZ_Physics}, physiq.def), \
 	(${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM_3D},    gcm.def),    \
 	(${SUBMIT_DIR}/PARAM/cosp_input_nl.txt,                .),    \
 	(${SUBMIT_DIR}/PARAM/cosp_output_nl.txt,               .),    \
 	(${SUBMIT_DIR}/PARAM/output.def, .), \
+	(${SUBMIT_DIR}/PARAM/config.def, .), \
 	(${SUBMIT_DIR}/PARAM/run.def, .), \
 	(${SUBMIT_DIR}/PARAM/traceur.def, .)
Index: CONFIG/IPSLCM/IPSLCM5-2/EXP00/COMP/lmdz.driver
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXP00/COMP/lmdz.driver	(revision 1540)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXP00/COMP/lmdz.driver	(revision 1541)
@@ -35,4 +35,15 @@
             CalendarTypeForLmdz=earth_360d
     esac
+
+	
+    ##- LMDZ physics version
+    ##  Read LMDZ_Physics option in lmdz.card, if not present take default value AP (old physics) 
+    if [ ! X${lmdz_UserChoices_LMDZ_Physics} = X ] ; then
+	LMDZ_Physics=${lmdz_UserChoices_LMDZ_Physics}
+    else
+	LMDZ_Physics=AP
+    fi
+    echo LMDZ physics version : ${LMDZ_Physics}
+
 
     ##-- Output frequency purpose ....
Index: CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/config.def
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/config.def	(revision 1541)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/config.def	(revision 1541)
@@ -0,0 +1,59 @@
+##  Cycle diurne  ou non                 
+cycle_diurne=y
+##  Soil Model  ou non               
+soil_model=y
+
+## Nombre  d'appels des routines de rayonnements ( par jour)                 
+nbapp_rad=24
+
+##  Facteur additif pour l'albedo
+pmagic=0.008
+
+#
+# Parametres "orbitaux/ ere geologique"
+#
+### R_ecc =      Excentricite
+R_ecc = 0.016715
+### R_peri =     Equinoxe
+R_peri = 102.7
+### R_incl =     Inclinaison
+R_incl = 23.441
+### solaire =    Constante solaire
+solaire = 1366.0896
+#
+# Taux gaz a effet de serre
+#
+### co2_ppm =    taux CO2 en ppm
+co2_ppm = 0.36886500E+03
+### CH4_ppb =    taux CH4 en ppb
+CH4_ppb = 0.17510225E+04
+### N2O_ppb =    taux N2O en ppb
+N2O_ppb = 0.31585000E+03
+### CFC11_ppt =  taux CFC11 en ppt
+CFC11_ppt = 5.18015181E+01
+### CFC12_ppt =  taux CFC12 en ppt
+CFC12_ppt = 0.99862742E+03
+#
+# Parametres effets directs/indirects des "aerosols"
+#
+### ok_ade=y/n   flag Aerosol direct effect
+ok_ade=y
+### ok_aie=y/n   flag Aerosol indirect effect
+ok_aie=y
+### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
+aer_type=actuel
+###  type of coupled aerosol =1 (default) =2 => bc  only =3 => pom only =4 => seasalt only =5 => dust only =6 => all aerosol
+flag_aerosol=6 
+### bl95_b0 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
+bl95_b0=1.7
+### bl95_b1 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
+bl95_b1=0.2
+#
+# Parametre de lecture de l'ozone
+#
+# Allowed values are 0, 1 and 2
+# 0: do not read an ozone climatology
+# 1: read a single ozone climatology that will be used day and night
+# 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
+read_climoz=2
+#
Index: CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/config.def_L19
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/config.def_L19	(revision 1541)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/config.def_L19	(revision 1541)
@@ -0,0 +1,58 @@
+##  Cycle diurne  ou non                 
+cycle_diurne=y
+##  Soil Model  ou non               
+soil_model=y
+
+## Nombre  d'appels des routines de rayonnements ( par jour)                 
+nbapp_rad=12
+
+##  Facteur additif pour l'albedo
+pmagic=0.008
+
+#
+# Parametres "orbitaux/ ere geologique"
+#
+### R_ecc =      Excentricite
+R_ecc = 0.016715
+### R_peri =     Equinoxe
+R_peri = 102.7
+### R_incl =     Inclinaison
+R_incl = 23.441
+### solaire =    Constante solaire
+solaire = 1361.
+#
+# Taux gaz a effet de serre
+#
+### co2_ppm =    taux CO2 en ppm
+co2_ppm = 367.
+### CH4_ppb =    taux CH4 en ppb
+CH4_ppb = 1760.
+### N2O_ppb =    taux N2O en ppb
+N2O_ppb = 316.
+### CFC11_ppt =  taux CFC11 en ppt
+CFC11_ppt = 741.2
+### CFC12_ppt =  taux CFC12 en ppt
+CFC12_ppt = 535.
+#
+# Parametres effets directs/indirects des "aerosols"
+#
+### ok_ade=y/n   flag Aerosol direct effect
+ok_ade=y
+### ok_aie=y/n   flag Aerosol indirect effect
+ok_aie=y
+### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
+aer_type=actuel
+###  type of coupled aerosol =1 (default) =2 => bc  only =3 => pom only =4 => seasalt only =5 => dust only =6 => all aerosol
+flag_aerosol=1
+### bl95_b0 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
+bl95_b0=1.7
+### bl95_b1 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
+bl95_b1=0.2
+#
+# Parametre de lecture de l'ozone
+#
+# Allowed values are 0, 1 and 2
+# 0: do not read an ozone climatology
+# 1: read a single ozone climatology that will be used day and night
+# 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
+read_climoz=0
Index: CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/physiq.def_L19
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/physiq.def_L19	(revision 1540)
+++ 	(revision )
@@ -1,150 +1,0 @@
-## $Id$
-#
-# PARAMETRES ANCIENNEMENT DANS gcm.def
-##  Cycle diurne  ou non                 
-cycle_diurne=y
-##  Soil Model  ou non               
-soil_model=y
-##  Choix ou non  de  New oliq               
-new_oliq=y
-##  Activation ou non de la parametrisation de Hines pour la strato
-ok_hines=n
-##  Orodr  ou  non   pour l orographie              
-ok_orodr=y
-##  Orolf  ou  non   pour l orographie              
-ok_orolf=y
-##   Si = .T. ,  lecture du fichier limit avec la bonne annee             
-ok_limitvrai=n
-## Nombre  d'appels des routines de rayonnements ( par jour)                 
-nbapp_rad=12
-##  Flag  pour la convection : 1 pour LMD, 2 pour Tiedtke, 3 KE(nvlle version JYG), 30 KE(version IPCC AR4), 4 KE vect
-iflag_con=30
-## Facteur multiplication des precip convectives dans KE
-cvl_corr=1.0
-##  Facteur additif pour l'albedo
-pmagic=0.008
-#
-#
-### niveau du diagnostique de conservation d energie
-if_ebil=0
-#
-# parametres KE
-#
-### epmax = Efficacite precipitation maximale
-epmax = .99
-### ok_adj_ema = ?? pas utilise
-ok_adj_ema = n
-### iflag_clw Flag calcul eau liquide
-# - iflag_clw=0 : qcond_incld(i,l) = em_qcondc(l)
-# - iflag_clw=1 : qcond_incld(i,l) = em_qcond(l)
-# - iflag_clw=2 : eau liquide diagnostique en fonction de la Precip
-iflag_clw = 1
-# 
-# parametres nuages
-#
-### cld_lc_lsc  contenu en eau liquide des nuages large-scale (fisrtilp) 
-cld_lc_lsc = 2.6e-4
-### cld_lc_con  contenu en eau liquide des nuages convectifs (fisrtilp) 
-cld_lc_con = 2.6e-4
-### cld_tau_lsc cte de temps utilisee pour eliminer l eau large-scale (fisrtilp) 
-cld_tau_lsc = 3600.
-### cld_tau_con cte de temps utilisee pour eliminer l eau convective (fisrtilp) 
-cld_tau_con = 3600.
-### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace large-scale (fisrtilp) 
-ffallv_lsc = 1.
-### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace convectifs (fisrtilp) 
-ffallv_con = 1.
-### coef_eva coef evaporation precips eau/glace (fisrtilp/fisrtilp_tr?/conlmd?)
-coef_eva = 2.e-5
-### reevap_ice  reevaporation de toute la precip dans la couche du dessous pour la glace (fisrtilp) 
-reevap_ice = y
-### iflag_cldcon  flag pour calculer ratqsc=F(ratqsbas,fact_cldcon,q_seri) (physiq) 
-# - iflag_cldcon<=-1 diag. rain_Tiedtke 
-# - iflag_cldcon=1, ratqsc=ratqsbas+fact_cldcon*(q_seri(1)-q_seri(k))/q_seri(k)
-# - iflag_cldcon=1/2, ratqs=max(ratqs,ratqsc)
-# - iflag_cldcon=3,   ratqs=ratqss
-iflag_cldcon = 3
-### iflag_pdf :  flag calcul distribution sous-maille de l eau et des nuages 
-# - iflag_pdf=0, version ratqs, 
-# - iflag_pdf=1, calcul eau condensee, fraction nuageuse, eau nuageuse a partir
-# -              des PDFS de Sandrine Bony 
-iflag_pdf = 1
-### fact_cldcon  constante calcul ratqsc (voir iflag_cldcon) et proprietes nuages convectifs, clwcon0 (physiq.F) 
-fact_cldcon = 1.
-### facttemps=   facteur de relaxation de ratqs (iflag_cldcon=1/2) et rnebcon (iflag_cldcon=3)
-facttemps = 0.
-## ok_newmicro   =y appel newmicro , =n appel nuage (calcul epaisseur optique et emmissivite des nuages) 
-ok_newmicro = y
-### iflag_ratqs=0 correspond a la version IPCC AR4 
-iflag_ratqs=0
-### ratqsbas     ratqs en bas si iflag_cldcon=1 
-ratqsbas = 0.005
-### ratqshaut    ratqs en haut pour ratqss "stables"  
-ratqshaut = 0.33
-### rad_froid    rayon cristaux des nuages de glace "froids" 
-rad_froid = 35
-### rad_chau1    rayon goutelettes d eau chauds", en haut: k=4-klev 
-rad_chau1=12
-### rad_chau2    rayon goutelettes d eau chauds", en bas: k=1-3  
-rad_chau2=11
-# 
-# Coefficient et parametres sur les drags
-#
-f_cdrag_ter=1.
-f_cdrag_stable=1.
-f_cdrag_oce=0.8
-f_rugoro=0.
-### ksta_ter      coef.diffusion minimale sur terre/sic/lic 
-ksta_ter=1.e-7
-### cdmmax =     cdrag maximum pour le moment
-cdmmax = 2.5E-3
-### cdhmax =     cdrag maximum pour l energie
-cdhmax = 2.0E-3
-#
-# Parametres "orbitaux/ ere geologique"
-#
-### R_ecc =      Excentricite
-R_ecc = 0.016715
-### R_peri =     Equinoxe
-R_peri = 102.7
-### R_incl =     Inclinaison
-R_incl = 23.441
-### solaire =    Constante solaire
-solaire = 1361.
-#
-# Taux gaz a effet de serre
-#
-### co2_ppm =    taux CO2 en ppm
-co2_ppm = 367.
-### CH4_ppb =    taux CH4 en ppb
-CH4_ppb = 1760.
-### N2O_ppb =    taux N2O en ppb
-N2O_ppb = 316.
-### CFC11_ppt =  taux CFC11 en ppt
-CFC11_ppt = 741.2
-### CFC12_ppt =  taux CFC12 en ppt
-CFC12_ppt = 535.
-#
-# Parametres effets directs/indirects des "aerosols"
-#
-### ok_ade=y/n   flag Aerosol direct effect
-ok_ade=y
-### ok_aie=y/n   flag Aerosol indirect effect
-ok_aie=y
-### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
-aer_type=actuel
-###  type of coupled aerosol =1 (default) =2 => bc  only =3 => pom only =4 => seasalt only =5 => dust only =6 => all aerosol
-flag_aerosol=1
-### bl95_b0 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
-bl95_b0=1.7
-### bl95_b1 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
-bl95_b1=0.2
-#
-# Parametre de lecture de l'ozone
-#
-# Allowed values are 0, 1 and 2
-# 0: do not read an ozone climatology
-# 1: read a single ozone climatology that will be used day and night
-# 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
-read_climoz=0
-
Index: CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/physiq.def_L19_AP
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/physiq.def_L19_AP	(revision 1541)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/physiq.def_L19_AP	(revision 1541)
@@ -0,0 +1,93 @@
+## $Id$
+#
+##  Choix ou non  de  New oliq               
+new_oliq=y
+##  Activation ou non de la parametrisation de Hines pour la strato
+ok_hines=n
+##  Orodr  ou  non   pour l orographie              
+ok_orodr=y
+##  Orolf  ou  non   pour l orographie              
+ok_orolf=y
+##   Si = .T. ,  lecture du fichier limit avec la bonne annee             
+ok_limitvrai=n
+##  Flag  pour la convection : 1 pour LMD, 2 pour Tiedtke, 3 KE(nvlle version JYG), 30 KE(version IPCC AR4), 4 KE vect
+iflag_con=30
+## Facteur multiplication des precip convectives dans KE
+cvl_corr=1.0
+#
+#
+### niveau du diagnostique de conservation d energie
+if_ebil=0
+#
+# parametres KE
+#
+### epmax = Efficacite precipitation maximale
+epmax = .99
+### ok_adj_ema = ?? pas utilise
+ok_adj_ema = n
+### iflag_clw Flag calcul eau liquide
+# - iflag_clw=0 : qcond_incld(i,l) = em_qcondc(l)
+# - iflag_clw=1 : qcond_incld(i,l) = em_qcond(l)
+# - iflag_clw=2 : eau liquide diagnostique en fonction de la Precip
+iflag_clw = 1
+# 
+# parametres nuages
+#
+### cld_lc_lsc  contenu en eau liquide des nuages large-scale (fisrtilp) 
+cld_lc_lsc = 2.6e-4
+### cld_lc_con  contenu en eau liquide des nuages convectifs (fisrtilp) 
+cld_lc_con = 2.6e-4
+### cld_tau_lsc cte de temps utilisee pour eliminer l eau large-scale (fisrtilp) 
+cld_tau_lsc = 3600.
+### cld_tau_con cte de temps utilisee pour eliminer l eau convective (fisrtilp) 
+cld_tau_con = 3600.
+### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace large-scale (fisrtilp) 
+ffallv_lsc = 1.
+### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace convectifs (fisrtilp) 
+ffallv_con = 1.
+### coef_eva coef evaporation precips eau/glace (fisrtilp/fisrtilp_tr?/conlmd?)
+coef_eva = 2.e-5
+### reevap_ice  reevaporation de toute la precip dans la couche du dessous pour la glace (fisrtilp) 
+reevap_ice = y
+### iflag_cldcon  flag pour calculer ratqsc=F(ratqsbas,fact_cldcon,q_seri) (physiq) 
+# - iflag_cldcon<=-1 diag. rain_Tiedtke 
+# - iflag_cldcon=1, ratqsc=ratqsbas+fact_cldcon*(q_seri(1)-q_seri(k))/q_seri(k)
+# - iflag_cldcon=1/2, ratqs=max(ratqs,ratqsc)
+# - iflag_cldcon=3,   ratqs=ratqss
+iflag_cldcon = 3
+### iflag_pdf :  flag calcul distribution sous-maille de l eau et des nuages 
+# - iflag_pdf=0, version ratqs, 
+# - iflag_pdf=1, calcul eau condensee, fraction nuageuse, eau nuageuse a partir
+# -              des PDFS de Sandrine Bony 
+iflag_pdf = 1
+### fact_cldcon  constante calcul ratqsc (voir iflag_cldcon) et proprietes nuages convectifs, clwcon0 (physiq.F) 
+fact_cldcon = 1.
+### facttemps=   facteur de relaxation de ratqs (iflag_cldcon=1/2) et rnebcon (iflag_cldcon=3)
+facttemps = 0.
+## ok_newmicro   =y appel newmicro , =n appel nuage (calcul epaisseur optique et emmissivite des nuages) 
+ok_newmicro = y
+### iflag_ratqs=0 correspond a la version IPCC AR4 
+iflag_ratqs=0
+### ratqsbas     ratqs en bas si iflag_cldcon=1 
+ratqsbas = 0.005
+### ratqshaut    ratqs en haut pour ratqss "stables"  
+ratqshaut = 0.33
+### rad_froid    rayon cristaux des nuages de glace "froids" 
+rad_froid = 35
+### rad_chau1    rayon goutelettes d eau chauds", en haut: k=4-klev 
+rad_chau1=12
+### rad_chau2    rayon goutelettes d eau chauds", en bas: k=1-3  
+rad_chau2=11
+# 
+# Coefficient et parametres sur les drags
+#
+f_cdrag_ter=1.
+f_cdrag_stable=1.
+f_cdrag_oce=0.8
+f_rugoro=0.
+### ksta_ter      coef.diffusion minimale sur terre/sic/lic 
+ksta_ter=1.e-7
+### cdmmax =     cdrag maximum pour le moment
+cdmmax = 2.5E-3
+### cdhmax =     cdrag maximum pour l energie
+cdhmax = 2.0E-3
Index: CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/physiq.def_L39
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/physiq.def_L39	(revision 1540)
+++ 	(revision )
@@ -1,150 +1,0 @@
-## $Id$
-#
-# PARAMETRES ANCIENNEMENT DANS gcm.def
-##  Cycle diurne  ou non                 
-cycle_diurne=y
-##  Soil Model  ou non               
-soil_model=y
-##  Choix ou non  de  New oliq               
-new_oliq=y
-##  Activation ou non de la parametrisation de Hines pour la strato
-ok_hines=y
-##  Orodr  ou  non   pour l orographie              
-ok_orodr=y
-##  Orolf  ou  non   pour l orographie              
-ok_orolf=y
-##   Si = .T. ,  lecture du fichier limit avec la bonne annee             
-ok_limitvrai=n
-## Nombre  d'appels des routines de rayonnements ( par jour)                 
-nbapp_rad=24
-##  Flag  pour la convection : 1 pour LMD, 2 pour Tiedtke, 3 KE(nvlle version JYG), 30 KE(version IPCC AR4), 4 KE vect
-iflag_con=30
-## Facteur multiplication des precip convectives dans KE
-cvl_corr=1.0
-##  Facteur additif pour l'albedo
-pmagic=0.008
-#
-#
-### niveau du diagnostique de conservation d energie
-if_ebil=0
-#
-# parametres KE
-#
-### epmax = Efficacite precipitation maximale
-epmax = .999
-### ok_adj_ema = ?? pas utilise
-ok_adj_ema = n
-### iflag_clw Flag calcul eau liquide
-# - iflag_clw=0 : qcond_incld(i,l) = em_qcondc(l)
-# - iflag_clw=1 : qcond_incld(i,l) = em_qcond(l)
-# - iflag_clw=2 : eau liquide diagnostique en fonction de la Precip
-iflag_clw = 1
-# 
-# parametres nuages
-#
-### cld_lc_lsc  contenu en eau liquide des nuages large-scale (fisrtilp) 
-cld_lc_lsc = 4.16e-4
-### cld_lc_con  contenu en eau liquide des nuages convectifs (fisrtilp) 
-cld_lc_con = 4.16e-4
-### cld_tau_lsc cte de temps utilisee pour eliminer l eau large-scale (fisrtilp) 
-cld_tau_lsc = 1800.
-### cld_tau_con cte de temps utilisee pour eliminer l eau convective (fisrtilp) 
-cld_tau_con = 1800.
-### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace large-scale (fisrtilp) 
-ffallv_lsc = 0.5
-### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace convectifs (fisrtilp) 
-ffallv_con = 0.5
-### coef_eva coef evaporation precips eau/glace (fisrtilp/fisrtilp_tr?/conlmd?)
-coef_eva = 2.e-5
-### reevap_ice  reevaporation de toute la precip dans la couche du dessous pour la glace (fisrtilp) 
-reevap_ice = y
-### iflag_cldcon  flag pour calculer ratqsc=F(ratqsbas,fact_cldcon,q_seri) (physiq) 
-# - iflag_cldcon<=-1 diag. rain_Tiedtke 
-# - iflag_cldcon=1, ratqsc=ratqsbas+fact_cldcon*(q_seri(1)-q_seri(k))/q_seri(k)
-# - iflag_cldcon=1/2, ratqs=max(ratqs,ratqsc)
-# - iflag_cldcon=3,   ratqs=ratqss
-iflag_cldcon = 3
-### iflag_pdf :  flag calcul distribution sous-maille de l eau et des nuages 
-# - iflag_pdf=0, version ratqs, 
-# - iflag_pdf=1, calcul eau condensee, fraction nuageuse, eau nuageuse a partir
-# -              des PDFS de Sandrine Bony 
-iflag_pdf = 1
-### fact_cldcon  constante calcul ratqsc (voir iflag_cldcon) et proprietes nuages convectifs, clwcon0 (physiq.F) 
-fact_cldcon = 1.
-### facttemps=   facteur de relaxation de ratqs (iflag_cldcon=1/2) et rnebcon (iflag_cldcon=3)
-facttemps = 0.
-## ok_newmicro   =y appel newmicro , =n appel nuage (calcul epaisseur optique et emmissivite des nuages) 
-ok_newmicro = y
-### iflag_ratqs=0 correspond a la version IPCC AR4 
-iflag_ratqs=0
-### ratqsbas     ratqs en bas si iflag_cldcon=1 
-ratqsbas = 0.005
-### ratqshaut    ratqs en haut pour ratqss "stables"  
-ratqshaut = 0.33
-### rad_froid    rayon cristaux des nuages de glace "froids" 
-rad_froid = 35
-### rad_chau1    rayon goutelettes d eau chauds", en haut: k=4-klev 
-rad_chau1=12
-### rad_chau2    rayon goutelettes d eau chauds", en bas: k=1-3  
-rad_chau2=11
-# 
-# Coefficient et parametres sur les drags
-#
-f_cdrag_ter=1.
-f_cdrag_stable=1.
-f_cdrag_oce=0.8
-f_rugoro=0.
-### ksta_ter      coef.diffusion minimale sur terre/sic/lic 
-ksta_ter=1.e-7
-### cdmmax =     cdrag maximum pour le moment
-cdmmax = 2.5E-3
-### cdhmax =     cdrag maximum pour l energie
-cdhmax = 2.0E-3
-#
-# Parametres "orbitaux/ ere geologique"
-#
-### R_ecc =      Excentricite
-R_ecc = 0.016715
-### R_peri =     Equinoxe
-R_peri = 102.7
-### R_incl =     Inclinaison
-R_incl = 23.441
-### solaire =    Constante solaire
-solaire = 1366.0896
-#
-# Taux gaz a effet de serre
-#
-### co2_ppm =    taux CO2 en ppm
-co2_ppm = 0.36886500E+03
-### CH4_ppb =    taux CH4 en ppb
-CH4_ppb = 0.17510225E+04
-### N2O_ppb =    taux N2O en ppb
-N2O_ppb = 0.31585000E+03
-### CFC11_ppt =  taux CFC11 en ppt
-CFC11_ppt = 5.18015181E+01
-### CFC12_ppt =  taux CFC12 en ppt
-CFC12_ppt = 0.99862742E+03
-#
-# Parametres effets directs/indirects des "aerosols"
-#
-### ok_ade=y/n   flag Aerosol direct effect
-ok_ade=y
-### ok_aie=y/n   flag Aerosol indirect effect
-ok_aie=y
-### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
-aer_type=actuel
-###  type of coupled aerosol =1 (default) =2 => bc  only =3 => pom only =4 => seasalt only =5 => dust only =6 => all aerosol
-flag_aerosol=6 
-### bl95_b0 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
-bl95_b0=1.7
-### bl95_b1 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
-bl95_b1=0.2
-#
-# Parametre de lecture de l'ozone
-#
-# Allowed values are 0, 1 and 2
-# 0: do not read an ozone climatology
-# 1: read a single ozone climatology that will be used day and night
-# 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
-read_climoz=2
-#
Index: CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/physiq.def_L39_AP
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/physiq.def_L39_AP	(revision 1541)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/physiq.def_L39_AP	(revision 1541)
@@ -0,0 +1,94 @@
+## $Id$
+#
+##  Choix ou non  de  New oliq               
+new_oliq=y
+##  Activation ou non de la parametrisation de Hines pour la strato
+ok_hines=y
+##  Orodr  ou  non   pour l orographie              
+ok_orodr=y
+##  Orolf  ou  non   pour l orographie              
+ok_orolf=y
+##   Si = .T. ,  lecture du fichier limit avec la bonne annee             
+ok_limitvrai=n
+##  Flag  pour la convection : 1 pour LMD, 2 pour Tiedtke, 3 KE(nvlle version JYG), 30 KE(version IPCC AR4), 4 KE vect
+iflag_con=30
+## Facteur multiplication des precip convectives dans KE
+cvl_corr=1.0
+#
+#
+
+### niveau du diagnostique de conservation d energie
+if_ebil=0
+#
+# parametres KE
+#
+### epmax = Efficacite precipitation maximale
+epmax = .999
+### ok_adj_ema = ?? pas utilise
+ok_adj_ema = n
+### iflag_clw Flag calcul eau liquide
+# - iflag_clw=0 : qcond_incld(i,l) = em_qcondc(l)
+# - iflag_clw=1 : qcond_incld(i,l) = em_qcond(l)
+# - iflag_clw=2 : eau liquide diagnostique en fonction de la Precip
+iflag_clw = 1
+# 
+# parametres nuages
+#
+### cld_lc_lsc  contenu en eau liquide des nuages large-scale (fisrtilp) 
+cld_lc_lsc = 4.16e-4
+### cld_lc_con  contenu en eau liquide des nuages convectifs (fisrtilp) 
+cld_lc_con = 4.16e-4
+### cld_tau_lsc cte de temps utilisee pour eliminer l eau large-scale (fisrtilp) 
+cld_tau_lsc = 1800.
+### cld_tau_con cte de temps utilisee pour eliminer l eau convective (fisrtilp) 
+cld_tau_con = 1800.
+### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace large-scale (fisrtilp) 
+ffallv_lsc = 0.5
+### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace convectifs (fisrtilp) 
+ffallv_con = 0.5
+### coef_eva coef evaporation precips eau/glace (fisrtilp/fisrtilp_tr?/conlmd?)
+coef_eva = 2.e-5
+### reevap_ice  reevaporation de toute la precip dans la couche du dessous pour la glace (fisrtilp) 
+reevap_ice = y
+### iflag_cldcon  flag pour calculer ratqsc=F(ratqsbas,fact_cldcon,q_seri) (physiq) 
+# - iflag_cldcon<=-1 diag. rain_Tiedtke 
+# - iflag_cldcon=1, ratqsc=ratqsbas+fact_cldcon*(q_seri(1)-q_seri(k))/q_seri(k)
+# - iflag_cldcon=1/2, ratqs=max(ratqs,ratqsc)
+# - iflag_cldcon=3,   ratqs=ratqss
+iflag_cldcon = 3
+### iflag_pdf :  flag calcul distribution sous-maille de l eau et des nuages 
+# - iflag_pdf=0, version ratqs, 
+# - iflag_pdf=1, calcul eau condensee, fraction nuageuse, eau nuageuse a partir
+# -              des PDFS de Sandrine Bony 
+iflag_pdf = 1
+### fact_cldcon  constante calcul ratqsc (voir iflag_cldcon) et proprietes nuages convectifs, clwcon0 (physiq.F) 
+fact_cldcon = 1.
+### facttemps=   facteur de relaxation de ratqs (iflag_cldcon=1/2) et rnebcon (iflag_cldcon=3)
+facttemps = 0.
+## ok_newmicro   =y appel newmicro , =n appel nuage (calcul epaisseur optique et emmissivite des nuages) 
+ok_newmicro = y
+### iflag_ratqs=0 correspond a la version IPCC AR4 
+iflag_ratqs=0
+### ratqsbas     ratqs en bas si iflag_cldcon=1 
+ratqsbas = 0.005
+### ratqshaut    ratqs en haut pour ratqss "stables"  
+ratqshaut = 0.33
+### rad_froid    rayon cristaux des nuages de glace "froids" 
+rad_froid = 35
+### rad_chau1    rayon goutelettes d eau chauds", en haut: k=4-klev 
+rad_chau1=12
+### rad_chau2    rayon goutelettes d eau chauds", en bas: k=1-3  
+rad_chau2=11
+# 
+# Coefficient et parametres sur les drags
+#
+f_cdrag_ter=1.
+f_cdrag_stable=1.
+f_cdrag_oce=0.8
+f_rugoro=0.
+### ksta_ter      coef.diffusion minimale sur terre/sic/lic 
+ksta_ter=1.e-7
+### cdmmax =     cdrag maximum pour le moment
+cdmmax = 2.5E-3
+### cdhmax =     cdrag maximum pour l energie
+cdhmax = 2.0E-3
Index: CONFIG/IPSLCM/IPSLCM5-2/historical/COMP/lmdz.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/historical/COMP/lmdz.card	(revision 1540)
+++ CONFIG/IPSLCM/IPSLCM5-2/historical/COMP/lmdz.card	(revision 1541)
@@ -3,4 +3,8 @@
 
 [UserChoices]
+# Physics package to use : 
+# AP for standard/old physics(defalut), can be used with LMDZ4_AR5 or LMDZ5/trunk sources 
+LMDZ_Physics=AP
+
 ByPass_hgardfou_teta=n
 ByPass_hgardfou_mats=n
@@ -58,9 +62,10 @@
 
 [ParametersFiles]
-List=	(${SUBMIT_DIR}/PARAM/physiq.def_L${RESOL_ATM_Z}, physiq.def), \
+List=	(${SUBMIT_DIR}/PARAM/physiq.def_L${RESOL_ATM_Z}_${LMDZ_Physics}, physiq.def), \
 	(${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM_3D},    gcm.def),    \
 	(${SUBMIT_DIR}/PARAM/cosp_input_nl.txt,                .),    \
 	(${SUBMIT_DIR}/PARAM/cosp_output_nl.txt,               .),    \
 	(${SUBMIT_DIR}/PARAM/output.def, .), \
+	(${SUBMIT_DIR}/PARAM/config.def, .), \
 	(${SUBMIT_DIR}/PARAM/run.def, .), \
 	(${SUBMIT_DIR}/PARAM/traceur.def, .)
Index: CONFIG/IPSLCM/IPSLCM5-2/historical/COMP/lmdz.driver
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/historical/COMP/lmdz.driver	(revision 1540)
+++ CONFIG/IPSLCM/IPSLCM5-2/historical/COMP/lmdz.driver	(revision 1541)
@@ -35,4 +35,15 @@
             CalendarTypeForLmdz=earth_360d
     esac
+
+	
+    ##- LMDZ physics version
+    ##  Read LMDZ_Physics option in lmdz.card, if not present take default value AP (old physics) 
+    if [ ! X${lmdz_UserChoices_LMDZ_Physics} = X ] ; then
+	LMDZ_Physics=${lmdz_UserChoices_LMDZ_Physics}
+    else
+	LMDZ_Physics=AP
+    fi
+    echo LMDZ physics version : ${LMDZ_Physics}
+
 
     ##-- Output frequency purpose ....
Index: CONFIG/IPSLCM/IPSLCM5-2/historical/PARAM/config.def
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/historical/PARAM/config.def	(revision 1541)
+++ CONFIG/IPSLCM/IPSLCM5-2/historical/PARAM/config.def	(revision 1541)
@@ -0,0 +1,58 @@
+##  Cycle diurne  ou non                 
+cycle_diurne=y
+##  Soil Model  ou non               
+soil_model=y
+
+## Nombre  d'appels des routines de rayonnements ( par jour)                 
+nbapp_rad=24
+
+##  Facteur additif pour l'albedo
+pmagic=0.0
+
+#
+# Parametres "orbitaux/ ere geologique"
+#
+### R_ecc =      Excentricite
+R_ecc = 0.016715
+### R_peri =     Equinoxe
+R_peri = 102.7
+### R_incl =     Inclinaison
+R_incl = 23.441
+### solaire =    Constante solaire
+solaire = 1365.6537
+#
+# Taux gaz a effet de serre
+#
+### co2_ppm =    taux CO2 en ppm
+co2_ppm = 0.36886500E+03
+### CH4_ppb =    taux CH4 en ppb
+CH4_ppb = 0.17510225E+04
+### N2O_ppb =    taux N2O en ppb
+N2O_ppb = 0.31585000E+03
+### CFC11_ppt =  taux CFC11 en ppt
+CFC11_ppt = 5.18015181E+01
+### CFC12_ppt =  taux CFC12 en ppt
+CFC12_ppt = 0.99862742E+03
+#
+# Parametres effets directs/indirects des "aerosols"
+#
+### ok_ade=y/n   flag Aerosol direct effect
+ok_ade=y
+### ok_aie=y/n   flag Aerosol indirect effect
+ok_aie=y
+### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
+aer_type=annuel
+###  type of coupled aerosol =1 (default) =2 => bc  only =3 => pom only =4 => seasalt only =5 => dust only =6 => all aerosol
+flag_aerosol=6 
+### bl95_b0 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
+bl95_b0=1.7
+### bl95_b1 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
+bl95_b1=0.2
+#
+# Parametre de lecture de l'ozone
+#
+# Allowed values are 0, 1 and 2
+# 0: do not read an ozone climatology
+# 1: read a single ozone climatology that will be used day and night
+# 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
+read_climoz=2
Index: CONFIG/IPSLCM/IPSLCM5-2/historical/PARAM/physiq.def_L19
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/historical/PARAM/physiq.def_L19	(revision 1540)
+++ 	(revision )
@@ -1,150 +1,0 @@
-## $Id$
-#
-# PARAMETRES ANCIENNEMENT DANS gcm.def
-##  Cycle diurne  ou non                 
-cycle_diurne=y
-##  Soil Model  ou non               
-soil_model=y
-##  Choix ou non  de  New oliq               
-new_oliq=y
-##  Activation ou non de la parametrisation de Hines pour la strato
-ok_hines=n
-##  Orodr  ou  non   pour l orographie              
-ok_orodr=y
-##  Orolf  ou  non   pour l orographie              
-ok_orolf=y
-##   Si = .T. ,  lecture du fichier limit avec la bonne annee             
-ok_limitvrai=n
-## Nombre  d'appels des routines de rayonnements ( par jour)                 
-nbapp_rad=12
-##  Flag  pour la convection : 1 pour LMD, 2 pour Tiedtke, 3 KE(nvlle version JYG), 30 KE(version IPCC AR4), 4 KE vect
-iflag_con=30
-## Facteur multiplication des precip convectives dans KE
-cvl_corr=1.0
-##  Facteur additif pour l'albedo
-pmagic=0.008
-#
-#
-### niveau du diagnostique de conservation d energie
-if_ebil=0
-#
-# parametres KE
-#
-### epmax = Efficacite precipitation maximale
-epmax = .99
-### ok_adj_ema = ?? pas utilise
-ok_adj_ema = n
-### iflag_clw Flag calcul eau liquide
-# - iflag_clw=0 : qcond_incld(i,l) = em_qcondc(l)
-# - iflag_clw=1 : qcond_incld(i,l) = em_qcond(l)
-# - iflag_clw=2 : eau liquide diagnostique en fonction de la Precip
-iflag_clw = 1
-# 
-# parametres nuages
-#
-### cld_lc_lsc  contenu en eau liquide des nuages large-scale (fisrtilp) 
-cld_lc_lsc = 2.6e-4
-### cld_lc_con  contenu en eau liquide des nuages convectifs (fisrtilp) 
-cld_lc_con = 2.6e-4
-### cld_tau_lsc cte de temps utilisee pour eliminer l eau large-scale (fisrtilp) 
-cld_tau_lsc = 3600.
-### cld_tau_con cte de temps utilisee pour eliminer l eau convective (fisrtilp) 
-cld_tau_con = 3600.
-### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace large-scale (fisrtilp) 
-ffallv_lsc = 1.
-### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace convectifs (fisrtilp) 
-ffallv_con = 1.
-### coef_eva coef evaporation precips eau/glace (fisrtilp/fisrtilp_tr?/conlmd?)
-coef_eva = 2.e-5
-### reevap_ice  reevaporation de toute la precip dans la couche du dessous pour la glace (fisrtilp) 
-reevap_ice = y
-### iflag_cldcon  flag pour calculer ratqsc=F(ratqsbas,fact_cldcon,q_seri) (physiq) 
-# - iflag_cldcon<=-1 diag. rain_Tiedtke 
-# - iflag_cldcon=1, ratqsc=ratqsbas+fact_cldcon*(q_seri(1)-q_seri(k))/q_seri(k)
-# - iflag_cldcon=1/2, ratqs=max(ratqs,ratqsc)
-# - iflag_cldcon=3,   ratqs=ratqss
-iflag_cldcon = 3
-### iflag_pdf :  flag calcul distribution sous-maille de l eau et des nuages 
-# - iflag_pdf=0, version ratqs, 
-# - iflag_pdf=1, calcul eau condensee, fraction nuageuse, eau nuageuse a partir
-# -              des PDFS de Sandrine Bony 
-iflag_pdf = 1
-### fact_cldcon  constante calcul ratqsc (voir iflag_cldcon) et proprietes nuages convectifs, clwcon0 (physiq.F) 
-fact_cldcon = 1.
-### facttemps=   facteur de relaxation de ratqs (iflag_cldcon=1/2) et rnebcon (iflag_cldcon=3)
-facttemps = 0.
-## ok_newmicro   =y appel newmicro , =n appel nuage (calcul epaisseur optique et emmissivite des nuages) 
-ok_newmicro = y
-### iflag_ratqs=0 correspond a la version IPCC AR4 
-iflag_ratqs=0
-### ratqsbas     ratqs en bas si iflag_cldcon=1 
-ratqsbas = 0.005
-### ratqshaut    ratqs en haut pour ratqss "stables"  
-ratqshaut = 0.33
-### rad_froid    rayon cristaux des nuages de glace "froids" 
-rad_froid = 35
-### rad_chau1    rayon goutelettes d eau chauds", en haut: k=4-klev 
-rad_chau1=12
-### rad_chau2    rayon goutelettes d eau chauds", en bas: k=1-3  
-rad_chau2=11
-# 
-# Coefficient et parametres sur les drags
-#
-f_cdrag_ter=1.
-f_cdrag_stable=1.
-f_cdrag_oce=0.8
-f_rugoro=0.
-### ksta_ter      coef.diffusion minimale sur terre/sic/lic 
-ksta_ter=1.e-7
-### cdmmax =     cdrag maximum pour le moment
-cdmmax = 2.5E-3
-### cdhmax =     cdrag maximum pour l energie
-cdhmax = 2.0E-3
-#
-# Parametres "orbitaux/ ere geologique"
-#
-### R_ecc =      Excentricite
-R_ecc = 0.016715
-### R_peri =     Equinoxe
-R_peri = 102.7
-### R_incl =     Inclinaison
-R_incl = 23.441
-### solaire =    Constante solaire
-solaire = 1361.
-#
-# Taux gaz a effet de serre
-#
-### co2_ppm =    taux CO2 en ppm
-co2_ppm = 367.
-### CH4_ppb =    taux CH4 en ppb
-CH4_ppb = 1760.
-### N2O_ppb =    taux N2O en ppb
-N2O_ppb = 316.
-### CFC11_ppt =  taux CFC11 en ppt
-CFC11_ppt = 741.2
-### CFC12_ppt =  taux CFC12 en ppt
-CFC12_ppt = 535.
-#
-# Parametres effets directs/indirects des "aerosols"
-#
-### ok_ade=y/n   flag Aerosol direct effect
-ok_ade=y
-### ok_aie=y/n   flag Aerosol indirect effect
-ok_aie=y
-### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
-aer_type=actuel
-###  type of coupled aerosol =1 (default) =2 => bc  only =3 => pom only =4 => seasalt only =5 => dust only =6 => all aerosol
-flag_aerosol=1
-### bl95_b0 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
-bl95_b0=1.7
-### bl95_b1 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
-bl95_b1=0.2
-#
-# Parametre de lecture de l'ozone
-#
-# Allowed values are 0, 1 and 2
-# 0: do not read an ozone climatology
-# 1: read a single ozone climatology that will be used day and night
-# 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
-read_climoz=0
-
Index: CONFIG/IPSLCM/IPSLCM5-2/historical/PARAM/physiq.def_L39
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/historical/PARAM/physiq.def_L39	(revision 1540)
+++ 	(revision )
@@ -1,150 +1,0 @@
-## $Id$
-#
-# PARAMETRES ANCIENNEMENT DANS gcm.def
-##  Cycle diurne  ou non                 
-cycle_diurne=y
-##  Soil Model  ou non               
-soil_model=y
-##  Choix ou non  de  New oliq               
-new_oliq=y
-##  Activation ou non de la parametrisation de Hines pour la strato
-ok_hines=y
-##  Orodr  ou  non   pour l orographie              
-ok_orodr=y
-##  Orolf  ou  non   pour l orographie              
-ok_orolf=y
-##   Si = .T. ,  lecture du fichier limit avec la bonne annee             
-ok_limitvrai=n
-## Nombre  d'appels des routines de rayonnements ( par jour)                 
-nbapp_rad=24
-##  Flag  pour la convection : 1 pour LMD, 2 pour Tiedtke, 3 KE(nvlle version JYG), 30 KE(version IPCC AR4), 4 KE vect
-iflag_con=30
-## Facteur multiplication des precip convectives dans KE
-cvl_corr=1.0
-##  Facteur additif pour l'albedo
-pmagic=0.0
-#
-#
-
-### niveau du diagnostique de conservation d energie
-if_ebil=0
-#
-# parametres KE
-#
-### epmax = Efficacite precipitation maximale
-epmax = .999
-### ok_adj_ema = ?? pas utilise
-ok_adj_ema = n
-### iflag_clw Flag calcul eau liquide
-# - iflag_clw=0 : qcond_incld(i,l) = em_qcondc(l)
-# - iflag_clw=1 : qcond_incld(i,l) = em_qcond(l)
-# - iflag_clw=2 : eau liquide diagnostique en fonction de la Precip
-iflag_clw = 1
-# 
-# parametres nuages
-#
-### cld_lc_lsc  contenu en eau liquide des nuages large-scale (fisrtilp) 
-cld_lc_lsc = 4.16e-4
-### cld_lc_con  contenu en eau liquide des nuages convectifs (fisrtilp) 
-cld_lc_con = 4.16e-4
-### cld_tau_lsc cte de temps utilisee pour eliminer l eau large-scale (fisrtilp) 
-cld_tau_lsc = 1800.
-### cld_tau_con cte de temps utilisee pour eliminer l eau convective (fisrtilp) 
-cld_tau_con = 1800.
-### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace large-scale (fisrtilp) 
-ffallv_lsc = 0.5
-### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace convectifs (fisrtilp) 
-ffallv_con = 0.5
-### coef_eva coef evaporation precips eau/glace (fisrtilp/fisrtilp_tr?/conlmd?)
-coef_eva = 2.e-5
-### reevap_ice  reevaporation de toute la precip dans la couche du dessous pour la glace (fisrtilp) 
-reevap_ice = y
-### iflag_cldcon  flag pour calculer ratqsc=F(ratqsbas,fact_cldcon,q_seri) (physiq) 
-# - iflag_cldcon<=-1 diag. rain_Tiedtke 
-# - iflag_cldcon=1, ratqsc=ratqsbas+fact_cldcon*(q_seri(1)-q_seri(k))/q_seri(k)
-# - iflag_cldcon=1/2, ratqs=max(ratqs,ratqsc)
-# - iflag_cldcon=3,   ratqs=ratqss
-iflag_cldcon = 3
-### iflag_pdf :  flag calcul distribution sous-maille de l eau et des nuages 
-# - iflag_pdf=0, version ratqs, 
-# - iflag_pdf=1, calcul eau condensee, fraction nuageuse, eau nuageuse a partir
-# -              des PDFS de Sandrine Bony 
-iflag_pdf = 1
-### fact_cldcon  constante calcul ratqsc (voir iflag_cldcon) et proprietes nuages convectifs, clwcon0 (physiq.F) 
-fact_cldcon = 1.
-### facttemps=   facteur de relaxation de ratqs (iflag_cldcon=1/2) et rnebcon (iflag_cldcon=3)
-facttemps = 0.
-## ok_newmicro   =y appel newmicro , =n appel nuage (calcul epaisseur optique et emmissivite des nuages) 
-ok_newmicro = y
-### iflag_ratqs=0 correspond a la version IPCC AR4 
-iflag_ratqs=0
-### ratqsbas     ratqs en bas si iflag_cldcon=1 
-ratqsbas = 0.005
-### ratqshaut    ratqs en haut pour ratqss "stables"  
-ratqshaut = 0.33
-### rad_froid    rayon cristaux des nuages de glace "froids" 
-rad_froid = 35
-### rad_chau1    rayon goutelettes d eau chauds", en haut: k=4-klev 
-rad_chau1=12
-### rad_chau2    rayon goutelettes d eau chauds", en bas: k=1-3  
-rad_chau2=11
-# 
-# Coefficient et parametres sur les drags
-#
-f_cdrag_ter=1.
-f_cdrag_stable=1.
-f_cdrag_oce=0.8
-f_rugoro=0.
-### ksta_ter      coef.diffusion minimale sur terre/sic/lic 
-ksta_ter=1.e-7
-### cdmmax =     cdrag maximum pour le moment
-cdmmax = 2.5E-3
-### cdhmax =     cdrag maximum pour l energie
-cdhmax = 2.0E-3
-#
-# Parametres "orbitaux/ ere geologique"
-#
-### R_ecc =      Excentricite
-R_ecc = 0.016715
-### R_peri =     Equinoxe
-R_peri = 102.7
-### R_incl =     Inclinaison
-R_incl = 23.441
-### solaire =    Constante solaire
-solaire = 1365.6537
-#
-# Taux gaz a effet de serre
-#
-### co2_ppm =    taux CO2 en ppm
-co2_ppm = 0.36886500E+03
-### CH4_ppb =    taux CH4 en ppb
-CH4_ppb = 0.17510225E+04
-### N2O_ppb =    taux N2O en ppb
-N2O_ppb = 0.31585000E+03
-### CFC11_ppt =  taux CFC11 en ppt
-CFC11_ppt = 5.18015181E+01
-### CFC12_ppt =  taux CFC12 en ppt
-CFC12_ppt = 0.99862742E+03
-#
-# Parametres effets directs/indirects des "aerosols"
-#
-### ok_ade=y/n   flag Aerosol direct effect
-ok_ade=y
-### ok_aie=y/n   flag Aerosol indirect effect
-ok_aie=y
-### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
-aer_type=annuel
-###  type of coupled aerosol =1 (default) =2 => bc  only =3 => pom only =4 => seasalt only =5 => dust only =6 => all aerosol
-flag_aerosol=6 
-### bl95_b0 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
-bl95_b0=1.7
-### bl95_b1 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
-bl95_b1=0.2
-#
-# Parametre de lecture de l'ozone
-#
-# Allowed values are 0, 1 and 2
-# 0: do not read an ozone climatology
-# 1: read a single ozone climatology that will be used day and night
-# 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
-read_climoz=2
Index: CONFIG/IPSLCM/IPSLCM5-2/historical/PARAM/physiq.def_L39_AP
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/historical/PARAM/physiq.def_L39_AP	(revision 1541)
+++ CONFIG/IPSLCM/IPSLCM5-2/historical/PARAM/physiq.def_L39_AP	(revision 1541)
@@ -0,0 +1,94 @@
+## $Id$
+#
+##  Choix ou non  de  New oliq               
+new_oliq=y
+##  Activation ou non de la parametrisation de Hines pour la strato
+ok_hines=y
+##  Orodr  ou  non   pour l orographie              
+ok_orodr=y
+##  Orolf  ou  non   pour l orographie              
+ok_orolf=y
+##   Si = .T. ,  lecture du fichier limit avec la bonne annee             
+ok_limitvrai=n
+##  Flag  pour la convection : 1 pour LMD, 2 pour Tiedtke, 3 KE(nvlle version JYG), 30 KE(version IPCC AR4), 4 KE vect
+iflag_con=30
+## Facteur multiplication des precip convectives dans KE
+cvl_corr=1.0
+#
+#
+
+### niveau du diagnostique de conservation d energie
+if_ebil=0
+#
+# parametres KE
+#
+### epmax = Efficacite precipitation maximale
+epmax = .999
+### ok_adj_ema = ?? pas utilise
+ok_adj_ema = n
+### iflag_clw Flag calcul eau liquide
+# - iflag_clw=0 : qcond_incld(i,l) = em_qcondc(l)
+# - iflag_clw=1 : qcond_incld(i,l) = em_qcond(l)
+# - iflag_clw=2 : eau liquide diagnostique en fonction de la Precip
+iflag_clw = 1
+# 
+# parametres nuages
+#
+### cld_lc_lsc  contenu en eau liquide des nuages large-scale (fisrtilp) 
+cld_lc_lsc = 4.16e-4
+### cld_lc_con  contenu en eau liquide des nuages convectifs (fisrtilp) 
+cld_lc_con = 4.16e-4
+### cld_tau_lsc cte de temps utilisee pour eliminer l eau large-scale (fisrtilp) 
+cld_tau_lsc = 1800.
+### cld_tau_con cte de temps utilisee pour eliminer l eau convective (fisrtilp) 
+cld_tau_con = 1800.
+### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace large-scale (fisrtilp) 
+ffallv_lsc = 0.5
+### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace convectifs (fisrtilp) 
+ffallv_con = 0.5
+### coef_eva coef evaporation precips eau/glace (fisrtilp/fisrtilp_tr?/conlmd?)
+coef_eva = 2.e-5
+### reevap_ice  reevaporation de toute la precip dans la couche du dessous pour la glace (fisrtilp) 
+reevap_ice = y
+### iflag_cldcon  flag pour calculer ratqsc=F(ratqsbas,fact_cldcon,q_seri) (physiq) 
+# - iflag_cldcon<=-1 diag. rain_Tiedtke 
+# - iflag_cldcon=1, ratqsc=ratqsbas+fact_cldcon*(q_seri(1)-q_seri(k))/q_seri(k)
+# - iflag_cldcon=1/2, ratqs=max(ratqs,ratqsc)
+# - iflag_cldcon=3,   ratqs=ratqss
+iflag_cldcon = 3
+### iflag_pdf :  flag calcul distribution sous-maille de l eau et des nuages 
+# - iflag_pdf=0, version ratqs, 
+# - iflag_pdf=1, calcul eau condensee, fraction nuageuse, eau nuageuse a partir
+# -              des PDFS de Sandrine Bony 
+iflag_pdf = 1
+### fact_cldcon  constante calcul ratqsc (voir iflag_cldcon) et proprietes nuages convectifs, clwcon0 (physiq.F) 
+fact_cldcon = 1.
+### facttemps=   facteur de relaxation de ratqs (iflag_cldcon=1/2) et rnebcon (iflag_cldcon=3)
+facttemps = 0.
+## ok_newmicro   =y appel newmicro , =n appel nuage (calcul epaisseur optique et emmissivite des nuages) 
+ok_newmicro = y
+### iflag_ratqs=0 correspond a la version IPCC AR4 
+iflag_ratqs=0
+### ratqsbas     ratqs en bas si iflag_cldcon=1 
+ratqsbas = 0.005
+### ratqshaut    ratqs en haut pour ratqss "stables"  
+ratqshaut = 0.33
+### rad_froid    rayon cristaux des nuages de glace "froids" 
+rad_froid = 35
+### rad_chau1    rayon goutelettes d eau chauds", en haut: k=4-klev 
+rad_chau1=12
+### rad_chau2    rayon goutelettes d eau chauds", en bas: k=1-3  
+rad_chau2=11
+# 
+# Coefficient et parametres sur les drags
+#
+f_cdrag_ter=1.
+f_cdrag_stable=1.
+f_cdrag_oce=0.8
+f_rugoro=0.
+### ksta_ter      coef.diffusion minimale sur terre/sic/lic 
+ksta_ter=1.e-7
+### cdmmax =     cdrag maximum pour le moment
+cdmmax = 2.5E-3
+### cdhmax =     cdrag maximum pour l energie
+cdhmax = 2.0E-3
Index: CONFIG/IPSLCM/IPSLCM5-2/piControl/COMP/lmdz.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/piControl/COMP/lmdz.card	(revision 1540)
+++ CONFIG/IPSLCM/IPSLCM5-2/piControl/COMP/lmdz.card	(revision 1541)
@@ -3,4 +3,8 @@
 
 [UserChoices]
+# Physics package to use : 
+# AP for standard/old physics(defalut), can be used with LMDZ4_AR5 or LMDZ5/trunk sources 
+LMDZ_Physics=AP
+
 ByPass_hgardfou_teta=n
 ByPass_hgardfou_mats=n
@@ -50,9 +54,10 @@
 
 [ParametersFiles]
-List=	(${SUBMIT_DIR}/PARAM/physiq.def_L${RESOL_ATM_Z}, physiq.def), \
+List=	(${SUBMIT_DIR}/PARAM/physiq.def_L${RESOL_ATM_Z}_${LMDZ_Physics}, physiq.def), \
 	(${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM_3D},    gcm.def),    \
 	(${SUBMIT_DIR}/PARAM/cosp_input_nl.txt,                .),    \
 	(${SUBMIT_DIR}/PARAM/cosp_output_nl.txt,               .),    \
 	(${SUBMIT_DIR}/PARAM/output.def, .), \
+	(${SUBMIT_DIR}/PARAM/config.def, .), \
 	(${SUBMIT_DIR}/PARAM/run.def, .), \
 	(${SUBMIT_DIR}/PARAM/traceur.def, .)
Index: CONFIG/IPSLCM/IPSLCM5-2/piControl/COMP/lmdz.driver
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/piControl/COMP/lmdz.driver	(revision 1540)
+++ CONFIG/IPSLCM/IPSLCM5-2/piControl/COMP/lmdz.driver	(revision 1541)
@@ -35,4 +35,15 @@
             CalendarTypeForLmdz=earth_360d
     esac
+
+	
+    ##- LMDZ physics version
+    ##  Read LMDZ_Physics option in lmdz.card, if not present take default value AP (old physics) 
+    if [ ! X${lmdz_UserChoices_LMDZ_Physics} = X ] ; then
+	LMDZ_Physics=${lmdz_UserChoices_LMDZ_Physics}
+    else
+	LMDZ_Physics=AP
+    fi
+    echo LMDZ physics version : ${LMDZ_Physics}
+
 
     ##-- Output frequency purpose ....
Index: CONFIG/IPSLCM/IPSLCM5-2/piControl/PARAM/config.def
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/piControl/PARAM/config.def	(revision 1541)
+++ CONFIG/IPSLCM/IPSLCM5-2/piControl/PARAM/config.def	(revision 1541)
@@ -0,0 +1,55 @@
+##  Cycle diurne  ou non                 
+cycle_diurne=y
+##  Soil Model  ou non               
+soil_model=y
+## Nombre  d'appels des routines de rayonnements ( par jour)                 
+nbapp_rad=24
+##  Facteur additif pour l'albedo
+pmagic=0.0
+#
+# Parametres "orbitaux/ ere geologique"
+#
+### R_ecc =      Excentricite
+R_ecc = 0.016715
+### R_peri =     Equinoxe
+R_peri = 102.7
+### R_incl =     Inclinaison
+R_incl = 23.441
+### solaire =    Constante solaire
+solaire = 1365.6537
+#
+# Taux gaz a effet de serre
+#
+### co2_ppm =    taux CO2 en ppm
+co2_ppm = 0.28472500E+03
+### CH4_ppb =    taux CH4 en ppb
+CH4_ppb = 0.79097924E+03
+### N2O_ppb =    taux N2O en ppb
+N2O_ppb = 0.27542506E+03
+### CFC11_ppt =  taux CFC11 en ppt
+CFC11_ppt = 0.
+### CFC12_ppt =  taux CFC12 en ppt
+CFC12_ppt = 0.
+#
+# Parametres effets directs/indirects des "aerosols"
+#
+### ok_ade=y/n   flag Aerosol direct effect
+ok_ade=y
+### ok_aie=y/n   flag Aerosol indirect effect
+ok_aie=y
+### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
+aer_type=preind
+###  type of coupled aerosol =1 (default) =2 => bc  only =3 => pom only =4 => seasalt only =5 => dust only =6 => all aerosol
+flag_aerosol=6 
+### bl95_b0 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
+bl95_b0=1.7
+### bl95_b1 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
+bl95_b1=0.2
+#
+# Parametre de lecture de l'ozone
+#
+# Allowed values are 0, 1 and 2
+# 0: do not read an ozone climatology
+# 1: read a single ozone climatology that will be used day and night
+# 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
+read_climoz=2
Index: CONFIG/IPSLCM/IPSLCM5-2/piControl/PARAM/physiq.def_L19
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/piControl/PARAM/physiq.def_L19	(revision 1540)
+++ 	(revision )
@@ -1,150 +1,0 @@
-## $Id$
-#
-# PARAMETRES ANCIENNEMENT DANS gcm.def
-##  Cycle diurne  ou non                 
-cycle_diurne=y
-##  Soil Model  ou non               
-soil_model=y
-##  Choix ou non  de  New oliq               
-new_oliq=y
-##  Activation ou non de la parametrisation de Hines pour la strato
-ok_hines=n
-##  Orodr  ou  non   pour l orographie              
-ok_orodr=y
-##  Orolf  ou  non   pour l orographie              
-ok_orolf=y
-##   Si = .T. ,  lecture du fichier limit avec la bonne annee             
-ok_limitvrai=n
-## Nombre  d'appels des routines de rayonnements ( par jour)                 
-nbapp_rad=12
-##  Flag  pour la convection : 1 pour LMD, 2 pour Tiedtke, 3 KE(nvlle version JYG), 30 KE(version IPCC AR4), 4 KE vect
-iflag_con=30
-## Facteur multiplication des precip convectives dans KE
-cvl_corr=1.0
-##  Facteur additif pour l'albedo
-pmagic=0.008
-#
-#
-### niveau du diagnostique de conservation d energie
-if_ebil=0
-#
-# parametres KE
-#
-### epmax = Efficacite precipitation maximale
-epmax = .99
-### ok_adj_ema = ?? pas utilise
-ok_adj_ema = n
-### iflag_clw Flag calcul eau liquide
-# - iflag_clw=0 : qcond_incld(i,l) = em_qcondc(l)
-# - iflag_clw=1 : qcond_incld(i,l) = em_qcond(l)
-# - iflag_clw=2 : eau liquide diagnostique en fonction de la Precip
-iflag_clw = 1
-# 
-# parametres nuages
-#
-### cld_lc_lsc  contenu en eau liquide des nuages large-scale (fisrtilp) 
-cld_lc_lsc = 2.6e-4
-### cld_lc_con  contenu en eau liquide des nuages convectifs (fisrtilp) 
-cld_lc_con = 2.6e-4
-### cld_tau_lsc cte de temps utilisee pour eliminer l eau large-scale (fisrtilp) 
-cld_tau_lsc = 3600.
-### cld_tau_con cte de temps utilisee pour eliminer l eau convective (fisrtilp) 
-cld_tau_con = 3600.
-### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace large-scale (fisrtilp) 
-ffallv_lsc = 1.
-### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace convectifs (fisrtilp) 
-ffallv_con = 1.
-### coef_eva coef evaporation precips eau/glace (fisrtilp/fisrtilp_tr?/conlmd?)
-coef_eva = 2.e-5
-### reevap_ice  reevaporation de toute la precip dans la couche du dessous pour la glace (fisrtilp) 
-reevap_ice = y
-### iflag_cldcon  flag pour calculer ratqsc=F(ratqsbas,fact_cldcon,q_seri) (physiq) 
-# - iflag_cldcon<=-1 diag. rain_Tiedtke 
-# - iflag_cldcon=1, ratqsc=ratqsbas+fact_cldcon*(q_seri(1)-q_seri(k))/q_seri(k)
-# - iflag_cldcon=1/2, ratqs=max(ratqs,ratqsc)
-# - iflag_cldcon=3,   ratqs=ratqss
-iflag_cldcon = 3
-### iflag_pdf :  flag calcul distribution sous-maille de l eau et des nuages 
-# - iflag_pdf=0, version ratqs, 
-# - iflag_pdf=1, calcul eau condensee, fraction nuageuse, eau nuageuse a partir
-# -              des PDFS de Sandrine Bony 
-iflag_pdf = 1
-### fact_cldcon  constante calcul ratqsc (voir iflag_cldcon) et proprietes nuages convectifs, clwcon0 (physiq.F) 
-fact_cldcon = 1.
-### facttemps=   facteur de relaxation de ratqs (iflag_cldcon=1/2) et rnebcon (iflag_cldcon=3)
-facttemps = 0.
-## ok_newmicro   =y appel newmicro , =n appel nuage (calcul epaisseur optique et emmissivite des nuages) 
-ok_newmicro = y
-### iflag_ratqs=0 correspond a la version IPCC AR4 
-iflag_ratqs=0
-### ratqsbas     ratqs en bas si iflag_cldcon=1 
-ratqsbas = 0.005
-### ratqshaut    ratqs en haut pour ratqss "stables"  
-ratqshaut = 0.33
-### rad_froid    rayon cristaux des nuages de glace "froids" 
-rad_froid = 35
-### rad_chau1    rayon goutelettes d eau chauds", en haut: k=4-klev 
-rad_chau1=12
-### rad_chau2    rayon goutelettes d eau chauds", en bas: k=1-3  
-rad_chau2=11
-# 
-# Coefficient et parametres sur les drags
-#
-f_cdrag_ter=1.
-f_cdrag_stable=1.
-f_cdrag_oce=0.8
-f_rugoro=0.
-### ksta_ter      coef.diffusion minimale sur terre/sic/lic 
-ksta_ter=1.e-7
-### cdmmax =     cdrag maximum pour le moment
-cdmmax = 2.5E-3
-### cdhmax =     cdrag maximum pour l energie
-cdhmax = 2.0E-3
-#
-# Parametres "orbitaux/ ere geologique"
-#
-### R_ecc =      Excentricite
-R_ecc = 0.016715
-### R_peri =     Equinoxe
-R_peri = 102.7
-### R_incl =     Inclinaison
-R_incl = 23.441
-### solaire =    Constante solaire
-solaire = 1361.
-#
-# Taux gaz a effet de serre
-#
-### co2_ppm =    taux CO2 en ppm
-co2_ppm = 367.
-### CH4_ppb =    taux CH4 en ppb
-CH4_ppb = 1760.
-### N2O_ppb =    taux N2O en ppb
-N2O_ppb = 316.
-### CFC11_ppt =  taux CFC11 en ppt
-CFC11_ppt = 741.2
-### CFC12_ppt =  taux CFC12 en ppt
-CFC12_ppt = 535.
-#
-# Parametres effets directs/indirects des "aerosols"
-#
-### ok_ade=y/n   flag Aerosol direct effect
-ok_ade=y
-### ok_aie=y/n   flag Aerosol indirect effect
-ok_aie=y
-### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
-aer_type=actuel
-###  type of coupled aerosol =1 (default) =2 => bc  only =3 => pom only =4 => seasalt only =5 => dust only =6 => all aerosol
-flag_aerosol=1
-### bl95_b0 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
-bl95_b0=1.7
-### bl95_b1 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
-bl95_b1=0.2
-#
-# Parametre de lecture de l'ozone
-#
-# Allowed values are 0, 1 and 2
-# 0: do not read an ozone climatology
-# 1: read a single ozone climatology that will be used day and night
-# 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
-read_climoz=0
-
Index: CONFIG/IPSLCM/IPSLCM5-2/piControl/PARAM/physiq.def_L39
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/piControl/PARAM/physiq.def_L39	(revision 1540)
+++ 	(revision )
@@ -1,149 +1,0 @@
-## $Id$
-#
-# PARAMETRES ANCIENNEMENT DANS gcm.def
-##  Cycle diurne  ou non                 
-cycle_diurne=y
-##  Soil Model  ou non               
-soil_model=y
-##  Choix ou non  de  New oliq               
-new_oliq=y
-##  Activation ou non de la parametrisation de Hines pour la strato
-ok_hines=y
-##  Orodr  ou  non   pour l orographie              
-ok_orodr=y
-##  Orolf  ou  non   pour l orographie              
-ok_orolf=y
-##   Si = .T. ,  lecture du fichier limit avec la bonne annee             
-ok_limitvrai=n
-## Nombre  d'appels des routines de rayonnements ( par jour)                 
-nbapp_rad=24
-##  Flag  pour la convection : 1 pour LMD, 2 pour Tiedtke, 3 KE(nvlle version JYG), 30 KE(version IPCC AR4), 4 KE vect
-iflag_con=30
-## Facteur multiplication des precip convectives dans KE
-cvl_corr=1.0
-##  Facteur additif pour l'albedo
-pmagic=0.0
-#
-#
-### niveau du diagnostique de conservation d energie
-if_ebil=0
-#
-# parametres KE
-#
-### epmax = Efficacite precipitation maximale
-epmax = .999
-### ok_adj_ema = ?? pas utilise
-ok_adj_ema = n
-### iflag_clw Flag calcul eau liquide
-# - iflag_clw=0 : qcond_incld(i,l) = em_qcondc(l)
-# - iflag_clw=1 : qcond_incld(i,l) = em_qcond(l)
-# - iflag_clw=2 : eau liquide diagnostique en fonction de la Precip
-iflag_clw = 1
-# 
-# parametres nuages
-#
-### cld_lc_lsc  contenu en eau liquide des nuages large-scale (fisrtilp) 
-cld_lc_lsc = 4.16e-4
-### cld_lc_con  contenu en eau liquide des nuages convectifs (fisrtilp) 
-cld_lc_con = 4.16e-4
-### cld_tau_lsc cte de temps utilisee pour eliminer l eau large-scale (fisrtilp) 
-cld_tau_lsc = 1800.
-### cld_tau_con cte de temps utilisee pour eliminer l eau convective (fisrtilp) 
-cld_tau_con = 1800.
-### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace large-scale (fisrtilp) 
-ffallv_lsc = 0.5
-### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace convectifs (fisrtilp) 
-ffallv_con = 0.5
-### coef_eva coef evaporation precips eau/glace (fisrtilp/fisrtilp_tr?/conlmd?)
-coef_eva = 2.e-5
-### reevap_ice  reevaporation de toute la precip dans la couche du dessous pour la glace (fisrtilp) 
-reevap_ice = y
-### iflag_cldcon  flag pour calculer ratqsc=F(ratqsbas,fact_cldcon,q_seri) (physiq) 
-# - iflag_cldcon<=-1 diag. rain_Tiedtke 
-# - iflag_cldcon=1, ratqsc=ratqsbas+fact_cldcon*(q_seri(1)-q_seri(k))/q_seri(k)
-# - iflag_cldcon=1/2, ratqs=max(ratqs,ratqsc)
-# - iflag_cldcon=3,   ratqs=ratqss
-iflag_cldcon = 3
-### iflag_pdf :  flag calcul distribution sous-maille de l eau et des nuages 
-# - iflag_pdf=0, version ratqs, 
-# - iflag_pdf=1, calcul eau condensee, fraction nuageuse, eau nuageuse a partir
-# -              des PDFS de Sandrine Bony 
-iflag_pdf = 1
-### fact_cldcon  constante calcul ratqsc (voir iflag_cldcon) et proprietes nuages convectifs, clwcon0 (physiq.F) 
-fact_cldcon = 1.
-### facttemps=   facteur de relaxation de ratqs (iflag_cldcon=1/2) et rnebcon (iflag_cldcon=3)
-facttemps = 0.
-## ok_newmicro   =y appel newmicro , =n appel nuage (calcul epaisseur optique et emmissivite des nuages) 
-ok_newmicro = y
-### iflag_ratqs=0 correspond a la version IPCC AR4 
-iflag_ratqs=0
-### ratqsbas     ratqs en bas si iflag_cldcon=1 
-ratqsbas = 0.005
-### ratqshaut    ratqs en haut pour ratqss "stables"  
-ratqshaut = 0.33
-### rad_froid    rayon cristaux des nuages de glace "froids" 
-rad_froid = 35
-### rad_chau1    rayon goutelettes d eau chauds", en haut: k=4-klev 
-rad_chau1=12
-### rad_chau2    rayon goutelettes d eau chauds", en bas: k=1-3  
-rad_chau2=11
-# 
-# Coefficient et parametres sur les drags
-#
-f_cdrag_ter=1.
-f_cdrag_stable=1.
-f_cdrag_oce=0.8
-f_rugoro=0.
-### ksta_ter      coef.diffusion minimale sur terre/sic/lic 
-ksta_ter=1.e-7
-### cdmmax =     cdrag maximum pour le moment
-cdmmax = 2.5E-3
-### cdhmax =     cdrag maximum pour l energie
-cdhmax = 2.0E-3
-#
-# Parametres "orbitaux/ ere geologique"
-#
-### R_ecc =      Excentricite
-R_ecc = 0.016715
-### R_peri =     Equinoxe
-R_peri = 102.7
-### R_incl =     Inclinaison
-R_incl = 23.441
-### solaire =    Constante solaire
-solaire = 1365.6537
-#
-# Taux gaz a effet de serre
-#
-### co2_ppm =    taux CO2 en ppm
-co2_ppm = 0.28472500E+03
-### CH4_ppb =    taux CH4 en ppb
-CH4_ppb = 0.79097924E+03
-### N2O_ppb =    taux N2O en ppb
-N2O_ppb = 0.27542506E+03
-### CFC11_ppt =  taux CFC11 en ppt
-CFC11_ppt = 0.
-### CFC12_ppt =  taux CFC12 en ppt
-CFC12_ppt = 0.
-#
-# Parametres effets directs/indirects des "aerosols"
-#
-### ok_ade=y/n   flag Aerosol direct effect
-ok_ade=y
-### ok_aie=y/n   flag Aerosol indirect effect
-ok_aie=y
-### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
-aer_type=preind
-###  type of coupled aerosol =1 (default) =2 => bc  only =3 => pom only =4 => seasalt only =5 => dust only =6 => all aerosol
-flag_aerosol=6 
-### bl95_b0 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
-bl95_b0=1.7
-### bl95_b1 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
-bl95_b1=0.2
-#
-# Parametre de lecture de l'ozone
-#
-# Allowed values are 0, 1 and 2
-# 0: do not read an ozone climatology
-# 1: read a single ozone climatology that will be used day and night
-# 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
-read_climoz=2
Index: CONFIG/IPSLCM/IPSLCM5-2/piControl/PARAM/physiq.def_L39_AP
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/piControl/PARAM/physiq.def_L39_AP	(revision 1541)
+++ CONFIG/IPSLCM/IPSLCM5-2/piControl/PARAM/physiq.def_L39_AP	(revision 1541)
@@ -0,0 +1,94 @@
+## $Id$
+#
+##  Choix ou non  de  New oliq               
+new_oliq=y
+##  Activation ou non de la parametrisation de Hines pour la strato
+ok_hines=y
+##  Orodr  ou  non   pour l orographie              
+ok_orodr=y
+##  Orolf  ou  non   pour l orographie              
+ok_orolf=y
+##   Si = .T. ,  lecture du fichier limit avec la bonne annee             
+ok_limitvrai=n
+##  Flag  pour la convection : 1 pour LMD, 2 pour Tiedtke, 3 KE(nvlle version JYG), 30 KE(version IPCC AR4), 4 KE vect
+iflag_con=30
+## Facteur multiplication des precip convectives dans KE
+cvl_corr=1.0
+#
+#
+
+### niveau du diagnostique de conservation d energie
+if_ebil=0
+#
+# parametres KE
+#
+### epmax = Efficacite precipitation maximale
+epmax = .999
+### ok_adj_ema = ?? pas utilise
+ok_adj_ema = n
+### iflag_clw Flag calcul eau liquide
+# - iflag_clw=0 : qcond_incld(i,l) = em_qcondc(l)
+# - iflag_clw=1 : qcond_incld(i,l) = em_qcond(l)
+# - iflag_clw=2 : eau liquide diagnostique en fonction de la Precip
+iflag_clw = 1
+# 
+# parametres nuages
+#
+### cld_lc_lsc  contenu en eau liquide des nuages large-scale (fisrtilp) 
+cld_lc_lsc = 4.16e-4
+### cld_lc_con  contenu en eau liquide des nuages convectifs (fisrtilp) 
+cld_lc_con = 4.16e-4
+### cld_tau_lsc cte de temps utilisee pour eliminer l eau large-scale (fisrtilp) 
+cld_tau_lsc = 1800.
+### cld_tau_con cte de temps utilisee pour eliminer l eau convective (fisrtilp) 
+cld_tau_con = 1800.
+### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace large-scale (fisrtilp) 
+ffallv_lsc = 0.5
+### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace convectifs (fisrtilp) 
+ffallv_con = 0.5
+### coef_eva coef evaporation precips eau/glace (fisrtilp/fisrtilp_tr?/conlmd?)
+coef_eva = 2.e-5
+### reevap_ice  reevaporation de toute la precip dans la couche du dessous pour la glace (fisrtilp) 
+reevap_ice = y
+### iflag_cldcon  flag pour calculer ratqsc=F(ratqsbas,fact_cldcon,q_seri) (physiq) 
+# - iflag_cldcon<=-1 diag. rain_Tiedtke 
+# - iflag_cldcon=1, ratqsc=ratqsbas+fact_cldcon*(q_seri(1)-q_seri(k))/q_seri(k)
+# - iflag_cldcon=1/2, ratqs=max(ratqs,ratqsc)
+# - iflag_cldcon=3,   ratqs=ratqss
+iflag_cldcon = 3
+### iflag_pdf :  flag calcul distribution sous-maille de l eau et des nuages 
+# - iflag_pdf=0, version ratqs, 
+# - iflag_pdf=1, calcul eau condensee, fraction nuageuse, eau nuageuse a partir
+# -              des PDFS de Sandrine Bony 
+iflag_pdf = 1
+### fact_cldcon  constante calcul ratqsc (voir iflag_cldcon) et proprietes nuages convectifs, clwcon0 (physiq.F) 
+fact_cldcon = 1.
+### facttemps=   facteur de relaxation de ratqs (iflag_cldcon=1/2) et rnebcon (iflag_cldcon=3)
+facttemps = 0.
+## ok_newmicro   =y appel newmicro , =n appel nuage (calcul epaisseur optique et emmissivite des nuages) 
+ok_newmicro = y
+### iflag_ratqs=0 correspond a la version IPCC AR4 
+iflag_ratqs=0
+### ratqsbas     ratqs en bas si iflag_cldcon=1 
+ratqsbas = 0.005
+### ratqshaut    ratqs en haut pour ratqss "stables"  
+ratqshaut = 0.33
+### rad_froid    rayon cristaux des nuages de glace "froids" 
+rad_froid = 35
+### rad_chau1    rayon goutelettes d eau chauds", en haut: k=4-klev 
+rad_chau1=12
+### rad_chau2    rayon goutelettes d eau chauds", en bas: k=1-3  
+rad_chau2=11
+# 
+# Coefficient et parametres sur les drags
+#
+f_cdrag_ter=1.
+f_cdrag_stable=1.
+f_cdrag_oce=0.8
+f_rugoro=0.
+### ksta_ter      coef.diffusion minimale sur terre/sic/lic 
+ksta_ter=1.e-7
+### cdmmax =     cdrag maximum pour le moment
+cdmmax = 2.5E-3
+### cdhmax =     cdrag maximum pour l energie
+cdhmax = 2.0E-3
